/**
 * Scripts within the customizer controls window.
 *
 * Contextually shows the color hue control and informs the preview
 * when users open or close the front page sections section.
 */

(function( $, api ) {
    wp.customize.bind('ready', function() {
    	// Show message on change.
        var smooth_blog_pro_settings = ['smooth_blog_pro_slider_num', 'smooth_blog_pro_services_num', 'smooth_blog_pro_projects_num', 'smooth_blog_pro_testimonial_num', 'smooth_blog_pro_blog_section_num', 'smooth_blog_pro_reset_settings', 'smooth_blog_pro_testimonial_num', 'smooth_blog_pro_partner_num'];
        _.each( smooth_blog_pro_settings, function( smooth_blog_pro_setting ) {
            wp.customize( smooth_blog_pro_setting, function( setting ) {
                var blogsterNotice = function( value ) {
                    var name = 'needs_refresh';
                    if ( value && smooth_blog_pro_setting == 'smooth_blog_pro_reset_settings' ) {
                        setting.notifications.add( 'needs_refresh', new wp.customize.Notification(
                            name,
                            {
                                type: 'warning',
                                message: localized_data.reset_msg,
                            }
                        ) );
                    } else if( value ){
                        setting.notifications.add( 'reset_name', new wp.customize.Notification(
                            name,
                            {
                                type: 'info',
                                message: localized_data.refresh_msg,
                            }
                        ) );
                    } else {
                        setting.notifications.remove( name );
                    }
                };

                setting.bind( blogsterNotice );
            });
        });

        /* === Radio Image Control === */
        api.controlConstructor['radio-color'] = api.Control.extend( {
            ready: function() {
                var control = this;

                $( 'input:radio', control.container ).change(
                    function() {
                        control.setting.set( $( this ).val() );
                    }
                );
            }
        } );

        // Deep linking for counter section to about section.
        jQuery('.blogster-edit').click(function(e) {
            e.preventDefault();
            var jump_to = jQuery(this).attr( 'data-jump' );
            wp.customize.section( jump_to ).focus()
        });

    });
})( jQuery, wp.customize );

jQuery(document).ready(function($) {

    $( "#customize-control-smooth_blog_pro_slider_overlay" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_slider_title_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_slider_section_content_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_slider_section_title_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_slider_section_title_hover_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_slider_section_btn_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_slider_section_btn_hover_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_slider_section_btn_text_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_slider_section_btn_text_hover_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_slider_section_btn_border_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_slider_section_btn_border_hover_color" ).css("display" , "none");

   $( "#customize-control-smooth_blog_pro_slider_setting span" ).first().click(function() {
        $( "#customize-control-smooth_blog_pro_slider" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_slider_title" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_slider_btn_title" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_slider_num" ).css("display" , "block");  
        $( "#customize-control-smooth_blog_pro_slider_hide_content" ).css("display" , "block");  
        $( "#customize-control-smooth_blog_pro_slider_exerpt" ).css("display" , "block");  
        $('#customize-control-smooth_blog_pro_slider').change(function() {
           // assign the value to a variable, so you can test to see if it is working
            var selectVal_slider = $('#customize-control-smooth_blog_pro_slider :selected').val();
            if ( selectVal_slider === 'post' ) {
               for (var i = 1; i <= $('#_customize-input-smooth_blog_pro_slider_num').val(); i++) {
                    $( "#customize-control-smooth_blog_pro_slider_post_" + i ).css("display" , "block");                       
                }
            }
            if ( selectVal_slider === 'page' ) {
               for (var i = 1; i <= $('#_customize-input-smooth_blog_pro_slider_num').val(); i++) {
                    $( "#customize-control-smooth_blog_pro_slider_page_" + i ).css("display" , "block");                       
                }
            }
            if ( selectVal_slider === 'cat' ) {
                $( "#customize-control-smooth_blog_pro_slider_cat" ).css("display" , "block");
            }
            
        });
        

        $( "#customize-control-smooth_blog_pro_slider_overlay" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_slider_title_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_slider_section_content_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_slider_section_title_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_slider_section_content_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_slider_section_title_hover_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_slider_section_btn_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_slider_section_btn_hover_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_slider_section_btn_text_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_slider_section_btn_text_hover_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_slider_section_btn_border_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_slider_section_btn_border_hover_color" ).css("display" , "none");
    });

   $( "#customize-control-smooth_blog_pro_slider_setting span" ).last().click(function() {
        $( "#customize-control-smooth_blog_pro_slider_overlay" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_slider_title_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_slider_section_content_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_slider_section_title_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_slider_section_title_hover_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_slider_section_btn_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_slider_section_btn_hover_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_slider_section_btn_text_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_slider_section_btn_text_hover_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_slider_section_btn_border_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_slider_section_btn_border_hover_color" ).css("display" , "block");


        $( "#customize-control-smooth_blog_pro_slider" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_slider_title" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_slider_btn_title" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_slider_num" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_slider_num" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_slider_cat" ).css("display" , "none");  
        $( "#customize-control-smooth_blog_pro_slider_exerpt" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_slider_hide_content" ).css("display" , "none");
        for (var i = 1; i <= $('#_customize-input-smooth_blog_pro_slider_num').val(); i++) {
            $( "#customize-control-smooth_blog_pro_slider_post_" + i ).css("display" , "none");            
            $( "#customize-control-smooth_blog_pro_slider_page_" + i ).css("display" , "none");            
        }
    });

   // about style - intillay display:none
    $( "#customize-control-smooth_blog_pro_about_overlay" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_about_section_title_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_about_section_sub_title_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_about_section_post_content_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_about_section_btn_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_about_section_hover_btn_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_about_section_btn_text_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_about_section_hover_btn_text_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_about_section_btn_border_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_about_section_btn_border_hover_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_about_background" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_about_background_image" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_about_background_color" ).css("display" , "none");

   $( "#customize-control-smooth_blog_pro_about_setting span" ).first().click(function() {
        $( "#customize-control-smooth_blog_pro_about" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_about_title" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_about_btn_title" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_about_post_1" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_about_exerpt" ).css("display" , "block");
        $('#customize-control-smooth_blog_pro_about').change(function() {
           // assign the value to a variable, so you can test to see if it is working
            var selectVal_about = $('#customize-control-smooth_blog_pro_about :selected').val();
            if ( selectVal_about === 'post' ) {
               for (var i = 1; i <= 1; i++) {
                    $( "#customize-control-smooth_blog_pro_about_post_" + i ).css("display" , "block");                       
                }
            }
            if ( selectVal_about === 'page' ) {
               for (var i = 1; i <= 1; i++) {
                    $( "#customize-control-smooth_blog_pro_about_page_" + i ).css("display" , "block");                       
                }
            }
        });

        $( "#customize-control-smooth_blog_pro_about_overlay" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_about_section_title_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_about_section_sub_title_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_about_section_post_content_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_about_section_btn_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_about_section_hover_btn_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_about_section_btn_text_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_about_section_hover_btn_text_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_about_section_btn_border_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_about_section_btn_border_hover_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_about_background" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_about_background_image" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_about_background_color" ).css("display" , "none");
    });

   $( "#customize-control-smooth_blog_pro_about_setting span" ).last().click(function() {
        $( "#customize-control-smooth_blog_pro_about_overlay" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_about_section_title_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_about_section_sub_title_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_about_section_post_content_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_about_section_btn_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_about_section_hover_btn_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_about_section_btn_text_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_about_section_hover_btn_text_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_about_section_btn_border_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_about_section_btn_border_hover_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_about_background" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_about_background_image" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_about_background_color" ).css("display" , "block");

        $( "#customize-control-smooth_blog_pro_about" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_about_title" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_about_btn_title" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_about_post_1" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_about_exerpt" ).css("display" , "none");
         for (var i = 1; i <= 1; i++) {
            $( "#customize-control-smooth_blog_pro_about_post_" + i ).css("display" , "none");            
            $( "#customize-control-smooth_blog_pro_about_page_" + i ).css("display" , "none");            
        }
    });


   // Service
   $( "#customize-control-smooth_blog_pro_service_overlay" ).css("display" , "none");
   $( "#customize-control-smooth_blog_pro_service_section_title_color" ).css("display" , "none");
   $( "#customize-control-smooth_blog_pro_service_section_sub_title_color" ).css("display" , "none");
   $( "#customize-control-smooth_blog_pro_service_section_post_title_color" ).css("display" , "none");
   $( "#customize-control-smooth_blog_pro_service_section_hover_post_title_color" ).css("display" , "none");
   $( "#customize-control-smooth_blog_pro_service_section_post_content_color" ).css("display" , "none");
   $( "#customize-control-smooth_blog_pro_service_section_btn_color" ).css("display" , "none");
   $( "#customize-control-smooth_blog_pro_service_section_btn_text_color" ).css("display" , "none");
   $( "#customize-control-smooth_blog_pro_service_section_btn_border_color" ).css("display" , "none");
   $( "#customize-control-smooth_blog_pro_service_section_hover_btn_color" ).css("display" , "none");
   $( "#customize-control-smooth_blog_pro_service_section_hover_btn_text_color" ).css("display" , "none");
   $( "#customize-control-smooth_blog_pro_service_section_hover_btn_border_color" ).css("display" , "none");
   $( "#customize-control-smooth_blog_pro_service_background" ).css("display" , "none");
   $( "#customize-control-smooth_blog_pro_service_background_image" ).css("display" , "none");
   $( "#customize-control-smooth_blog_pro_service_background_color" ).css("display" , "none");
   
   $( "#customize-control-smooth_blog_pro_service_setting span" ).first().click(function() {
        $( "#customize-control-smooth_blog_pro_service" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_service_num" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_service_title" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_service_sub_title" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_service_btn_label" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_service_exerpt" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_service_col_layout" ).css("display" , "block");
        $('#customize-control-smooth_blog_pro_service').change(function() {
           // assign the value to a variable, so you can test to see if it is working
            var selectVal_service = $('#customize-control-smooth_blog_pro_service :selected').val();
            if ( selectVal_service === 'post' ) {
               for (var i = 1; i <= $('#_customize-input-smooth_blog_pro_service_num').val(); i++) {
                    $( "#customize-control-smooth_blog_pro_service_post_" + i ).css("display" , "block");                       
                }
            }
            if ( selectVal_service === 'page' ) {
               for (var i = 1; i <= $('#_customize-input-smooth_blog_pro_service_num').val(); i++) {
                    $( "#customize-control-smooth_blog_pro_service_page_" + i ).css("display" , "block");                       
                }
            }
            if ( selectVal_service === 'cat' ) {
                $( "#customize-control-smooth_blog_pro_service_cat" ).css("display" , "block");
            }
            for (var i = 1; i <= $('#_customize-input-smooth_blog_pro_service_num').val(); i++) {
                    $( "#customize-control-smooth_blog_pro_service_icons_" + i ).css("display" , "block");                       
                }
        });

        $( "#customize-control-smooth_blog_pro_service_overlay" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_service_section_title_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_service_section_sub_title_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_service_section_post_title_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_service_section_hover_post_title_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_service_section_post_content_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_service_section_btn_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_service_section_btn_text_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_service_section_btn_border_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_service_section_hover_btn_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_service_section_hover_btn_text_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_service_section_hover_btn_border_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_service_background" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_service_background_image" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_service_background_color" ).css("display" , "none");
   });

   $( "#customize-control-smooth_blog_pro_service_setting span" ).last().click(function() {
        $( "#customize-control-smooth_blog_pro_service_overlay" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_service_section_title_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_service_section_sub_title_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_service_section_post_title_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_service_section_hover_post_title_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_service_section_post_content_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_service_section_btn_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_service_section_btn_text_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_service_section_btn_border_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_service_section_hover_btn_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_service_section_hover_btn_text_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_service_section_hover_btn_border_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_service_background" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_service_background_image" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_service_background_color" ).css("display" , "block");

        $( "#customize-control-smooth_blog_pro_service" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_service_num" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_service_title" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_service_sub_title" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_service_btn_label" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_service_cat" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_service_exerpt" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_service_col_layout" ).css("display" , "none");
        for (var i = 1; i <= $('#_customize-input-smooth_blog_pro_service_num').val(); i++) {
                    $( "#customize-control-smooth_blog_pro_service_icons_" + i ).css("display" , "none");                       
                    $( "#customize-control-smooth_blog_pro_service_post_" + i ).css("display" , "none");                       
                    $( "#customize-control-smooth_blog_pro_service_page_" + i ).css("display" , "none");                       
                }
    });


   // featured
   $( "#customize-control-smooth_blog_pro_featured_overlay" ).css("display" , "none");
   $( "#customize-control-smooth_blog_pro_featured_section_sub_title_color" ).css("display" , "none");
   $( "#customize-control-smooth_blog_pro_featured_section_btn_color" ).css("display" , "none");
   $( "#customize-control-smooth_blog_pro_featured_section_btn_text_color" ).css("display" , "none");
   $( "#customize-control-smooth_blog_pro_featured_section_hover_btn_color" ).css("display" , "none");
   $( "#customize-control-smooth_blog_pro_featured_section_hover_btn_text_color" ).css("display" , "none");
   $( "#customize-control-smooth_blog_pro_featured_background" ).css("display" , "none");
   $( "#customize-control-smooth_blog_pro_featured_background_image" ).css("display" , "none");
   $( "#customize-control-smooth_blog_pro_featured_background_color" ).css("display" , "none");

   $( "#customize-control-smooth_blog_pro_featured_setting span" ).first().click(function() {
        $( "#customize-control-smooth_blog_pro_featured" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_featured_title" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_featured_btn_title" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_featured_btn_url" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_featured_num" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_featured_col_layout" ).css("display" , "block");
        $('#customize-control-smooth_blog_pro_featured').change(function() {
           // assign the value to a variable, so you can test to see if it is working
            var selectVal_featured = $('#customize-control-smooth_blog_pro_featured :selected').val();
            if ( selectVal_featured === 'post' ) {
               for (var i = 1; i <= $('#_customize-input-smooth_blog_pro_featured_num').val(); i++) {
                    $( "#customize-control-smooth_blog_pro_featured_post_" + i ).css("display" , "block");                       
                }
            }
            if ( selectVal_featured === 'page' ) {
               for (var i = 1; i <= $('#_customize-input-smooth_blog_pro_featured_num').val(); i++) {
                    $( "#customize-control-smooth_blog_pro_featured_page_" + i ).css("display" , "block");                       
                }
            }
            if ( selectVal_featured === 'cat' ) {
                $( "#customize-control-smooth_blog_pro_featured_cat" ).css("display" , "block");
            }
        });

        $( "#customize-control-smooth_blog_pro_featured_overlay" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_featured_section_sub_title_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_featured_section_btn_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_featured_section_btn_text_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_featured_section_hover_btn_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_featured_section_hover_btn_text_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_featured_background" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_featured_background_image" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_featured_background_color" ).css("display" , "none");

   });

   $( "#customize-control-smooth_blog_pro_featured_setting span" ).last().click(function() {
        $( "#customize-control-smooth_blog_pro_featured_overlay" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_featured_section_sub_title_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_featured_section_btn_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_featured_section_btn_text_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_featured_section_hover_btn_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_featured_section_hover_btn_text_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_featured_background" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_featured_background_image" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_featured_background_color" ).css("display" , "block");

        $( "#customize-control-smooth_blog_pro_featured" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_featured_title" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_featured_btn_title" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_featured_num" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_featured_cat" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_featured_btn_url" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_featured_col_layout" ).css("display" , "none");
        for (var i = 1; i <= $('#_customize-input-smooth_blog_pro_featured_num').val(); i++) {                     
                    $( "#customize-control-smooth_blog_pro_featured_post_" + i ).css("display" , "none");                       
                    $( "#customize-control-smooth_blog_pro_featured_page_" + i ).css("display" , "none");                       
                }
   });


    // masonary
    $( "#customize-control-smooth_blog_pro_masonary_overlay" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_masonary_section_sub_title_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_masonary_section_post_title_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_masonary_section_hover_post_title_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_masonary_section_post_content_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_masonary_section_post_category_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_masonary_section_post_category_hover_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_masonary_section_post_date_hover_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_masonary_section_post_date_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_masonary_section_btn_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_masonary_section_btn_text_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_masonary_section_hover_btn_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_masonary_section_hover_btn_text_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_masonary_background" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_masonary_background_image" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_masonary_background_color" ).css("display" , "none");
   
   
   $( "#customize-control-smooth_blog_pro_masonary_setting span" ).first().click(function() {
        $( "#customize-control-smooth_blog_pro_masonary" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_masonary_title" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_masonary_btn_title" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_masonary_cat" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_masonary_exerpt" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_masonary_col_layout" ).css("display" , "block");

        $( "#customize-control-smooth_blog_pro_masonary_overlay" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_masonary_section_sub_title_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_masonary_section_post_title_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_masonary_section_hover_post_title_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_masonary_section_post_content_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_masonary_section_post_category_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_masonary_section_post_category_hover_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_masonary_section_post_date_hover_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_masonary_section_post_date_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_masonary_section_btn_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_masonary_section_btn_text_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_masonary_section_hover_btn_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_masonary_section_hover_btn_text_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_masonary_background" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_masonary_background_image" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_masonary_background_color" ).css("display" , "none");

   });

   $( "#customize-control-smooth_blog_pro_masonary_setting span" ).last().click(function() {
        $( "#customize-control-smooth_blog_pro_masonary" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_masonary_title" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_masonary_btn_title" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_masonary_cat" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_masonary_exerpt" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_masonary_col_layout" ).css("display" , "none");

        $( "#customize-control-smooth_blog_pro_masonary_overlay" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_masonary_section_sub_title_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_masonary_section_post_title_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_masonary_section_hover_post_title_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_masonary_section_post_content_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_masonary_section_post_category_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_masonary_section_post_category_hover_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_masonary_section_post_date_hover_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_masonary_section_post_date_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_masonary_section_btn_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_masonary_section_btn_text_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_masonary_section_hover_btn_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_masonary_section_hover_btn_text_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_masonary_background" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_masonary_background_image" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_masonary_background_color" ).css("display" , "block");

   });

 
    // Video
    $( "#customize-control-smooth_blog_pro_video_overlay" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_video_section_sub_title_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_video_section_post_title_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_video_section_hover_post_title_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_video_section_post_date_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_video_section_hover_post_date_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_video_background" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_video_background_image" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_video_background_color" ).css("display" , "none");
 
    $( "#customize-control-smooth_blog_pro_video_setting span" ).first().click(function() {
        $( "#customize-control-smooth_blog_pro_video" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_video_title" ).css("display" , "block");
        $('#customize-control-smooth_blog_pro_video').change(function() {
           // assign the value to a variable, so you can test to see if it is working
            var selectVal_video = $('#customize-control-smooth_blog_pro_video :selected').val();
            if ( selectVal_video === 'post' ) {
               for (var i = 1; i <= $('#_customize-input-smooth_blog_pro_video_num').val(); i++) {
                    $( "#customize-control-smooth_blog_pro_video_post_" + i ).css("display" , "block");                       
                }
            }
            if ( selectVal_video === 'page' ) {
               for (var i = 1; i <= $('#_customize-input-smooth_blog_pro_video_num').val(); i++) {
                    $( "#customize-control-smooth_blog_pro_video_page_" + i ).css("display" , "block");                       
                }
            }if ( selectVal_video === 'page' ) {
                $( "#customize-control-smooth_blog_pro_video_cat" ).css("display" , "block");                  
            }
        });

        $( "#customize-control-smooth_blog_pro_video_overlay" ).css("display" , "none");

        $( "#customize-control-smooth_blog_pro_video_section_sub_title_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_video_section_post_title_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_video_section_hover_post_title_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_video_section_post_date_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_video_section_hover_post_date_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_video_background" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_video_background_image" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_video_background_color" ).css("display" , "none");

    });
    
    $( "#customize-control-smooth_blog_pro_video_setting span" ).last().click(function() {
        $( "#customize-control-smooth_blog_pro_video" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_video_title" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_video_cat" ).css("display" , "none");
        
       for (var i = 1; i <= $('#_customize-input-smooth_blog_pro_video_num').val(); i++) {
            $( "#customize-control-smooth_blog_pro_video_post_" + i ).css("display" , "none");                       
            $( "#customize-control-smooth_blog_pro_video_page_" + i ).css("display" , "none");                       
        }
          

        $( "#customize-control-smooth_blog_pro_video_overlay" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_video_section_sub_title_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_video_section_post_title_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_video_section_hover_post_title_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_video_section_post_date_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_video_section_hover_post_date_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_video_background" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_video_background_image" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_video_background_color" ).css("display" , "block");

    });
 

    // blog
    $( "#customize-control-smooth_blog_pro_blog_overlay" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_blog_section_sub_title_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_blog_section_post_title_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_blog_section_post_title_hover_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_blog_section_post_category_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_blog_section_post_category_hover_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_blog_section_post_date_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_blog_section_post_date_hover_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_blog_background" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_blog_background_image" ).css("display" , "none");
    

    $( "#customize-control-smooth_blog_pro_blog_setting span" ).first().click(function() {
        $( "#customize-control-smooth_blog_pro_blog" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_blog_title" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_blog_num" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_blog_exerpt" ).css("display" , "block");
        $('#customize-control-smooth_blog_pro_blog').change(function() {
           // assign the value to a variable, so you can test to see if it is working
            var selectVal_blog = $('#customize-control-smooth_blog_pro_blog :selected').val();
            if ( selectVal_blog === 'post' ) {
               for (var i = 1; i <= $('#_customize-input-smooth_blog_pro_blog_num').val(); i++) {
                    $( "#customize-control-smooth_blog_pro_blog_post_" + i ).css("display" , "block");                       
                }
            }
            if ( selectVal_blog === 'page' ) {
               for (var i = 1; i <= $('#_customize-input-smooth_blog_pro_blog_num').val(); i++) {
                    $( "#customize-control-smooth_blog_pro_blog_page_" + i ).css("display" , "block");                       
                }
            }
            if ( selectVal_blog === 'cat' ) {              
                $( "#customize-control-smooth_blog_pro_blog_cat" ).css("display" , "block");                 
            }
        });

        $( "#customize-control-smooth_blog_pro_blog_overlay" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_blog_section_sub_title_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_blog_section_post_title_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_blog_section_post_title_hover_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_blog_section_post_category_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_blog_section_post_category_hover_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_blog_section_post_date_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_blog_section_post_date_hover_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_blog_background" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_blog_background_image" ).css("display" , "none");
    

    });

    $( "#customize-control-smooth_blog_pro_blog_setting span" ).last().click(function() {
        $( "#customize-control-smooth_blog_pro_blog" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_blog_title" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_blog_num" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_blog_cat" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_blog_exerpt" ).css("display" , "none");
   
       for (var i = 1; i <= $('#_customize-input-smooth_blog_pro_blog_num').val(); i++) {
            $( "#customize-control-smooth_blog_pro_blog_post_" + i ).css("display" , "none");                       
            $( "#customize-control-smooth_blog_pro_blog_page_" + i ).css("display" , "none");                       
        }
        

        $( "#customize-control-smooth_blog_pro_blog_overlay" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_blog_section_sub_title_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_blog_section_post_title_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_blog_section_post_title_hover_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_blog_section_post_category_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_blog_section_post_category_hover_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_blog_section_post_date_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_blog_section_post_date_hover_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_blog_background" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_blog_background_image" ).css("display" , "block");
    

    });
 
    
    // menu
    $( "#customize-control-smooth_blog_pro_menu_section_sub_title_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_menu_section_title_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_menu_section_post_container_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_menu_section_post_title_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_menu_section_post_hover_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_menu_section_price_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_menu_section_btn_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_menu_section_btn_hover_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_menu_section_btn_border_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_menu_section_btn_border_hover_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_menu_section_btn_text_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_menu_section_btn_text_hover_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_menu_section_post_category_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_menu_section_post_category_hover_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_menu_background" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_menu_background_image" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_menu_background_color" ).css("display" , "none");

 
 
    $( "#customize-control-smooth_blog_pro_menu_setting span" ).first().click(function() {
        $( "#customize-control-smooth_blog_pro_menu" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_menu_num" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_menu_title" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_menu_sub_title" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_menu_btn_title" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_menu_btn_url" ).css("display" , "block");
        $('#customize-control-smooth_blog_pro_menu').change(function() {
           // assign the value to a variable, so you can test to see if it is working
            var selectVal_blog = $('#customize-control-smooth_blog_pro_menu :selected').val();
            if ( selectVal_blog === 'post' ) {
               for (var i = 1; i <= $('#_customize-input-smooth_blog_pro_menu_num').val(); i++) {
                    $( "#customize-control-smooth_blog_pro_menu_post_" + i ).css("display" , "block");                       
                }
            }
            if ( selectVal_blog === 'page' ) {
               for (var i = 1; i <= $('#_customize-input-smooth_blog_pro_menu_num').val(); i++) {
                    $( "#customize-control-smooth_blog_pro_menu_page_" + i ).css("display" , "block");                       
                }
            }
            if ( selectVal_blog === 'cat' ) {              
                $( "#customize-control-smooth_blog_pro_menu_cat" ).css("display" , "block");                 
            }
        });

         for (var i = 1; i <= $('#_customize-input-smooth_blog_pro_menu_num').val(); i++) {
                    $( "#customize-control-smooth_blog_pro_menu_price_" + i ).css("display" , "block");                       
                }

        $( "#customize-control-smooth_blog_pro_menu_section_sub_title_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_menu_section_title_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_menu_section_post_container_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_menu_section_post_title_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_menu_section_post_hover_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_menu_section_price_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_menu_section_btn_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_menu_section_btn_hover_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_menu_section_btn_border_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_menu_section_btn_border_hover_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_menu_section_btn_text_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_menu_section_btn_text_hover_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_menu_section_post_category_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_menu_section_post_category_hover_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_menu_background" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_menu_background_image" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_menu_background_color" ).css("display" , "none");
    });
    
    $( "#customize-control-smooth_blog_pro_menu_setting span" ).last().click(function() {
        $( "#customize-control-smooth_blog_pro_menu" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_menu_num" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_menu_title" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_menu_sub_title" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_menu_btn_title" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_menu_btn_url" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_menu_cat" ).css("display" , "none");    


        for (var i = 1; i <= $('#_customize-input-smooth_blog_pro_menu_num').val(); i++) {
                $( "#customize-control-smooth_blog_pro_menu_price_" + i ).css("display" , "none"); 
                $( "#customize-control-smooth_blog_pro_menu_post_" + i ).css("display" , "none");
                $( "#customize-control-smooth_blog_pro_menu_page_" + i ).css("display" , "none");                       
            }

        $( "#customize-control-smooth_blog_pro_menu_section_sub_title_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_menu_section_title_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_menu_section_post_container_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_menu_section_post_title_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_menu_section_post_hover_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_menu_section_price_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_menu_section_btn_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_menu_section_btn_hover_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_menu_section_btn_border_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_menu_section_btn_border_hover_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_menu_section_btn_text_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_menu_section_btn_text_hover_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_menu_section_post_category_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_menu_section_post_category_hover_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_menu_background" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_menu_background_image" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_menu_background_color" ).css("display" , "block");
    });
 
    
    // testinomial
    $( "#customize-control-smooth_blog_pro_testinomial_overlay" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_testinomial_section_title_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_testinomial_section_sub_title_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_testinomial_section_name_color" ).css("display" , "none");


    $( "#customize-control-smooth_blog_pro_testinomial_setting span" ).first().click(function() { 

        $( "#customize-control-smooth_blog_pro_testinomial" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_testinomial_title" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_testinomial_name" ).css("display" , "block");
        $('#customize-control-smooth_blog_pro_testinomial').change(function() {
           // assign the value to a variable, so you can test to see if it is working
            var selectVal_blog = $('#customize-control-smooth_blog_pro_testinomial :selected').val();
            if ( selectVal_blog === 'post' ) {
               for (var i = 1; i <= 1; i++) {
                    $( "#customize-control-smooth_blog_pro_testinomial_post_" + i ).css("display" , "block");                       
                }
            }
            if ( selectVal_blog === 'page' ) {
               for (var i = 1; i <= 1; i++) {
                    $( "#customize-control-smooth_blog_pro_testinomial_page_" + i ).css("display" , "block");                       
                }
            }
        });

        $( "#customize-control-smooth_blog_pro_testinomial_overlay" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_testinomial_section_title_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_testinomial_section_sub_title_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_testinomial_section_name_color" ).css("display" , "none");
    });

    $( "#customize-control-smooth_blog_pro_testinomial_setting span" ).last().click(function() { 

        $( "#customize-control-smooth_blog_pro_testinomial" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_testinomial_title" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_testinomial_name" ).css("display" , "none");
       
       for (var i = 1; i <= 1; i++) {
            $( "#customize-control-smooth_blog_pro_testinomial_post_" + i ).css("display" , "none");      
            $( "#customize-control-smooth_blog_pro_testinomial_page_" + i ).css("display" , "none");                       
        }
            
        

        $( "#customize-control-smooth_blog_pro_testinomial_overlay" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_testinomial_section_title_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_testinomial_section_sub_title_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_testinomial_section_name_color" ).css("display" , "block");
    });


 
    // reserve
    $( "#customize-control-smooth_blog_pro_reserve_overlay" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_reserve_section_title_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_reserve_section_sub_title_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_reserve_section_post_content_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_reserve_section_btn_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_reserve_section_btn_text_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_reserve_section_hover_btn_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_reserve_section_hover_btn_text_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_reserve_section_btn_border_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_reserve_section_btn_border_hover_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_reserve_background" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_reserve_background_image" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_reserve_background_color" ).css("display" , "none");
 
 
    $( "#customize-control-smooth_blog_pro_reserve_setting span" ).first().click(function() { 
         $( "#customize-control-smooth_blog_pro_reserve" ).css("display" , "block");
         $( "#customize-control-smooth_blog_pro_reserve_title" ).css("display" , "block");
         $( "#customize-control-smooth_blog_pro_reserve_btn_title" ).css("display" , "block");
         $('#customize-control-smooth_blog_pro_reserve').change(function() {
           // assign the value to a variable, so you can test to see if it is working
            var selectVal_blog = $('#customize-control-smooth_blog_pro_reserve :selected').val();
            if ( selectVal_blog === 'post' ) {
               for (var i = 1; i <= 1; i++) {
                    $( "#customize-control-smooth_blog_pro_reserve_post_" + i ).css("display" , "block");                       
                }
            }
            if ( selectVal_blog === 'page' ) {
               for (var i = 1; i <= 1; i++) {
                    $( "#customize-control-smooth_blog_pro_reserve_page_" + i ).css("display" , "block");                       
                }
            }
        });

        $( "#customize-control-smooth_blog_pro_reserve_overlay" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_reserve_section_title_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_reserve_section_sub_title_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_reserve_section_post_content_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_reserve_section_btn_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_reserve_section_btn_text_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_reserve_section_hover_btn_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_reserve_section_hover_btn_text_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_reserve_section_btn_border_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_reserve_section_btn_border_hover_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_reserve_background" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_reserve_background_image" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_reserve_background_color" ).css("display" , "none");
 
    });

    $( "#customize-control-smooth_blog_pro_reserve_setting span" ).last().click(function() { 
         $( "#customize-control-smooth_blog_pro_reserve" ).css("display" , "none");
         $( "#customize-control-smooth_blog_pro_reserve_title" ).css("display" , "none");
         $( "#customize-control-smooth_blog_pro_reserve_btn_title" ).css("display" , "none");
    
       for (var i = 1; i <= 1; i++) {
            $( "#customize-control-smooth_blog_pro_reserve_post_" + i ).css("display" , "none");        
            $( "#customize-control-smooth_blog_pro_reserve_page_" + i ).css("display" , "none");                       
        }
           
        $( "#customize-control-smooth_blog_pro_reserve_overlay" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_reserve_section_title_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_reserve_section_sub_title_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_reserve_section_post_content_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_reserve_section_btn_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_reserve_section_btn_text_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_reserve_section_hover_btn_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_reserve_section_hover_btn_text_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_reserve_section_btn_border_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_reserve_section_btn_border_hover_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_reserve_background" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_reserve_background_image" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_reserve_background_color" ).css("display" , "block");
 
    });

 
    // Cts
    $( "#customize-control-smooth_blog_pro_cta_overlay" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_cta_section_title_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_cta_section_sub_title_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_cta_section_post_content_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_cta_section_btn_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_cta_section_btn_text_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_cta_section_hover_btn_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_cta_section_hover_btn_text_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_cta_section_btn_border_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_cta_section_btn_border_hover_color" ).css("display" , "none");
    

    $( "#customize-control-smooth_blog_pro_cta_setting span" ).first().click(function() { 
        $( "#customize-control-smooth_blog_pro_cta" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_cta_sub_title" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_cta_btn_title" ).css("display" , "block");
        $('#customize-control-smooth_blog_pro_cta').change(function() {
           // assign the value to a variable, so you can test to see if it is working
            var selectVal_blog = $('#customize-control-smooth_blog_pro_cta :selected').val();
            if ( selectVal_blog === 'post' ) {
               for (var i = 1; i <= 1; i++) {
                    $( "#customize-control-smooth_blog_pro_cta_post_" + i ).css("display" , "block");                       
                }
            }
            if ( selectVal_blog === 'page' ) {
               for (var i = 1; i <= 1; i++) {
                    $( "#customize-control-smooth_blog_pro_cta_page_" + i ).css("display" , "block");                       
                }
            }
        });

        $( "#customize-control-smooth_blog_pro_cta_overlay" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_cta_section_title_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_cta_section_sub_title_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_cta_section_post_content_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_cta_section_btn_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_cta_section_btn_text_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_cta_section_hover_btn_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_cta_section_hover_btn_text_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_cta_section_btn_border_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_cta_section_btn_border_hover_color" ).css("display" , "none");


    });
    
    $( "#customize-control-smooth_blog_pro_cta_setting span" ).last().click(function() { 
        $( "#customize-control-smooth_blog_pro_cta" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_cta_sub_title" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_cta_btn_title" ).css("display" , "none");
       
       for (var i = 1; i <= 1; i++) {
            $( "#customize-control-smooth_blog_pro_cta_post_" + i ).css("display" , "none");                 
            $( "#customize-control-smooth_blog_pro_cta_page_" + i ).css("display" , "none");                       
        }
         

        $( "#customize-control-smooth_blog_pro_cta_overlay" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_cta_section_title_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_cta_section_sub_title_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_cta_section_post_content_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_cta_section_btn_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_cta_section_btn_text_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_cta_section_hover_btn_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_cta_section_hover_btn_text_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_cta_section_btn_border_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_cta_section_btn_border_hover_color" ).css("display" , "block");


    });


    // Related
    $( "#customize-control-smooth_blog_pro_related_section_sub_title_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_related_section_title_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_related_section_post_container_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_related_section_post_title_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_related_section_post_hover_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_related_section_date_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_related_section_date_hover_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_related_section_btn_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_related_section_btn_hover_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_related_section_btn_border_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_related_section_btn_border_hover_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_related_section_btn_text_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_related_section_btn_text_hover_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_related_section_post_category_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_related_section_post_category_hover_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_related_background" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_related_background_image" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_related_background_color" ).css("display" , "none");


    $( "#customize-control-smooth_blog_pro_related_setting span" ).first().click(function() { 
        $( "#customize-control-smooth_blog_pro_related" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_related_num" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_related_title" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_related_sub_title" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_related_btn_title" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_related_btn_url" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_related_col_layout" ).css("display" , "block");

        $('#customize-control-smooth_blog_pro_related').change(function() {
           // assign the value to a variable, so you can test to see if it is working
            var selectVal_blog = $('#customize-control-smooth_blog_pro_related :selected').val();
            if ( selectVal_blog === 'post' ) {
               for (var i = 1; i <= $('#_customize-input-smooth_blog_pro_related_num').val(); i++) {
                    $( "#customize-control-smooth_blog_pro_related_post_" + i ).css("display" , "block");                       
                }
            }
            if ( selectVal_blog === 'page' ) {
               for (var i = 1; i <= $('#_customize-input-smooth_blog_pro_related_num').val(); i++) {
                    $( "#customize-control-smooth_blog_pro_related_page_" + i ).css("display" , "block");                       
                }
            }
            if ( selectVal_blog === 'cat' ) {              
                $( "#customize-control-smooth_blog_pro_related_cat" ).css("display" , "block");                 
            }
        });

        $( "#customize-control-smooth_blog_pro_related_section_sub_title_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_related_section_title_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_related_section_post_container_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_related_section_post_title_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_related_section_post_hover_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_related_section_date_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_related_section_date_hover_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_related_section_btn_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_related_section_btn_hover_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_related_section_btn_border_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_related_section_btn_border_hover_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_related_section_btn_text_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_related_section_btn_text_hover_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_related_section_post_category_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_related_section_post_category_hover_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_related_background" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_related_background_image" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_related_background_color" ).css("display" , "none");
    });

    $( "#customize-control-smooth_blog_pro_related_setting span" ).last().click(function() { 
        $( "#customize-control-smooth_blog_pro_related" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_related_num" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_related_title" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_related_sub_title" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_related_btn_title" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_related_btn_url" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_related_cat" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_related_col_layout" ).css("display" , "none");
        for (var i = 1; i <= $('#_customize-input-smooth_blog_pro_related_num').val(); i++) {
                $( "#customize-control-smooth_blog_pro_related_post_" + i ).css("display" , "none");                       
                $( "#customize-control-smooth_blog_pro_related_page_" + i ).css("display" , "none");                       
            }

        $( "#customize-control-smooth_blog_pro_related_section_sub_title_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_related_section_title_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_related_section_post_container_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_related_section_post_title_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_related_section_post_hover_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_related_section_date_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_related_section_date_hover_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_related_section_btn_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_related_section_btn_hover_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_related_section_btn_border_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_related_section_btn_border_hover_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_related_section_btn_text_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_related_section_btn_text_hover_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_related_section_post_category_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_related_section_post_category_hover_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_related_background" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_related_background_image" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_related_background_color" ).css("display" , "block");
    });

    // instagram
    $( "#customize-control-smooth_blog_pro_instagram_overlay" ).css("display" , "none");

    $( "#customize-control-smooth_blog_pro_instagram_setting span" ).first().click(function() { 
        $( "#customize-control-smooth_blog_pro_instagram" ).css("display" , "block");

        $('#customize-control-smooth_blog_pro_instagram').change(function() {
           // assign the value to a variable, so you can test to see if it is working
            var selectVal_blog = $('#customize-control-smooth_blog_pro_instagram :selected').val();
            if ( selectVal_blog === 'post' ) {
               for (var i = 1; i <= 4; i++) {
                    $( "#customize-control-smooth_blog_pro_instagram_post_" + i ).css("display" , "block");                       
                }
            }
            if ( selectVal_blog === 'page' ) {
               for (var i = 1; i <= $('#_customize-input-smooth_blog_pro_instagram_num').val(); i++) {
                    $( "#customize-control-smooth_blog_pro_instagram_page_" + i ).css("display" , "block");                       
                }
            }
            if ( selectVal_blog === 'cat' ) {              
                $( "#customize-control-smooth_blog_pro_instagram_cat" ).css("display" , "block");                 
            }
        });

        $( "#customize-control-smooth_blog_pro_instagram_overlay" ).css("display" , "none");
    });

    $( "#customize-control-smooth_blog_pro_instagram_setting span" ).last().click(function() { 
        $( "#customize-control-smooth_blog_pro_instagram" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_instagram_cat" ).css("display" , "none");
        for (var i = 1; i <= 4; i++) {
                $( "#customize-control-smooth_blog_pro_instagram_post_" + i ).css("display" , "none");                       
                $( "#customize-control-smooth_blog_pro_instagram_page_" + i ).css("display" , "none");                       
            }

        $( "#customize-control-smooth_blog_pro_instagram_overlay" ).css("display" , "block");
    });

    // header
    $( "#customize-control-smooth_blog_pro_header_nav_padding" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_header_top_banner" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_header_title_font_size" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_header_nav_top_border" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_header_nav_font_size" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_header_nav_item_margin" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_header_section_menu_bg_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_header_section_top_border_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_header_section_nav_item_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_header_section_nav_item_hover_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_header_section_nav_bottom_border_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_header_background" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_header_background_image" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_header_background_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_header_nav_botton_border" ).css("display" , "none");

    $( "#customize-control-smooth_blog_pro_header_setting span" ).first().click(function() { 
        $( "#customize-control-smooth_blog_pro_header_style" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_make_menu_sticky" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_make_trasparent_menu" ).css("display" , "block");

        $( "#customize-control-smooth_blog_pro_header_nav_padding" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_header_top_banner" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_header_title_font_size" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_header_nav_top_border" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_header_nav_font_size" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_header_nav_item_margin" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_header_section_menu_bg_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_header_section_top_border_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_header_section_nav_item_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_header_section_nav_item_hover_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_header_section_nav_bottom_border_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_header_background" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_header_background_image" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_header_background_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_header_nav_botton_border" ).css("display" , "none");
    });

    $( "#customize-control-smooth_blog_pro_header_setting span" ).last().click(function() { 
        $( "#customize-control-smooth_blog_pro_header_style" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_header_display" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_header_ads_image" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_header_ads_image_url" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_make_menu_sticky" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_make_trasparent_menu" ).css("display" , "none");

        $( "#customize-control-smooth_blog_pro_header_nav_padding" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_header_top_banner" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_header_title_font_size" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_header_nav_top_border" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_header_nav_font_size" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_header_nav_item_margin" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_header_section_menu_bg_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_header_nav_botton_border" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_header_section_top_border_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_header_section_nav_item_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_header_section_nav_item_hover_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_header_section_nav_bottom_border_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_header_background" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_header_background_image" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_header_background_color" ).css("display" , "block");
    });


    // topbar
    $( "#customize-control-smooth_blog_pro_topbar_menu_bg_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_topbar_item_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_topbar_item_hover_color" ).css("display" , "none");

    $( "#customize-control-smooth_blog_pro_topbar_setting span" ).first().click(function() { 
        $( "#customize-control-smooth_blog_pro_topbar" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_topbar_social_menu" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_topbar_search" ).css("display" , "block");

        $( "#customize-control-smooth_blog_pro_topbar_menu_bg_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_topbar_item_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_topbar_item_hover_color" ).css("display" , "none");
    });

    $( "#customize-control-smooth_blog_pro_topbar_setting span" ).last().click(function() { 
        $( "#customize-control-smooth_blog_pro_topbar" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_topbar_social_menu" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_topbar_search" ).css("display" , "none");

        $( "#customize-control-smooth_blog_pro_topbar_menu_bg_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_topbar_item_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_topbar_item_hover_color" ).css("display" , "block");
    });




 // testinomials
    $( "#customize-control-smooth_blog_pro_testinomials_section_title_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_testinomials_section_post_container_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_testinomials_section_post_title_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_testinomials_section_post_hover_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_testinomials_section_position_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_testinomials_section_content_color" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_testinomials_background" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_testinomials_background_image" ).css("display" , "none");
    $( "#customize-control-smooth_blog_pro_testinomials_background_color" ).css("display" , "none");


    $( "#customize-control-smooth_blog_pro_testinomials_setting span" ).first().click(function() { 
        $( "#customize-control-smooth_blog_pro_testinomials" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_testinomials_exerpt" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_testinomials_num" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_testinomials_title" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_testinomials_sub_title" ).css("display" , "block");


        $('#customize-control-smooth_blog_pro_testinomials').change(function() {
           // assign the value to a variable, so you can test to see if it is working
            var selectVal_blog = $('#customize-control-smooth_blog_pro_testinomials :selected').val();
            if ( selectVal_blog === 'post' ) {
               for (var i = 1; i <= $('#_customize-input-smooth_blog_pro_testinomials_num').val(); i++) {
                    $( "#customize-control-smooth_blog_pro_testinomials_post_" + i ).css("display" , "block");                       
                }
            }
            if ( selectVal_blog === 'page' ) {
               for (var i = 1; i <= $('#_customize-input-smooth_blog_pro_testinomials_num').val(); i++) {
                    $( "#customize-control-smooth_blog_pro_testinomials_page_" + i ).css("display" , "block");                       
                }
            }
            if ( selectVal_blog === 'cat' ) {              
                $( "#customize-control-smooth_blog_pro_testinomials_cat" ).css("display" , "block");                 
            }
        });

        for (var i = 1; i <= $('#_customize-input-smooth_blog_pro_testinomials_num').val(); i++) {
            $( "#customize-control-smooth_blog_pro_testinomials_position_" + i ).css("display" , "block");                       
        }

        $( "#customize-control-smooth_blog_pro_testinomials_section_title_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_testinomials_section_post_container_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_testinomials_section_post_title_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_testinomials_section_post_hover_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_testinomials_section_position_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_testinomials_section_content_color" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_testinomials_background" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_testinomials_background_image" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_testinomials_background_color" ).css("display" , "none");
    });

    $( "#customize-control-smooth_blog_pro_testinomials_setting span" ).last().click(function() { 
        $( "#customize-control-smooth_blog_pro_testinomials" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_testinomials_exerpt" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_testinomials_num" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_testinomials_title" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_testinomials_sub_title" ).css("display" , "none");
        $( "#customize-control-smooth_blog_pro_testinomials_cat" ).css("display" , "none");  
        for (var i = 1; i <= $('#_customize-input-smooth_blog_pro_testinomials_num').val(); i++) {
            $( "#customize-control-smooth_blog_pro_testinomials_post_" + i ).css("display" , "none");                       
            $( "#customize-control-smooth_blog_pro_testinomials_page_" + i ).css("display" , "none");                       
            $( "#customize-control-smooth_blog_pro_testinomials_position_" + i ).css("display" , "none");                       
        }

        $( "#customize-control-smooth_blog_pro_testinomials_section_title_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_testinomials_section_post_container_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_testinomials_section_post_title_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_testinomials_section_post_hover_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_testinomials_section_position_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_testinomials_section_content_color" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_testinomials_background" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_testinomials_background_image" ).css("display" , "block");
        $( "#customize-control-smooth_blog_pro_testinomials_background_color" ).css("display" , "block");

    });



});
