<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * about section
 */
$wp_customize->add_section(
	'smooth_blog_pro_about',
	array(
		'title' => esc_html__( 'About Post', 'smooth-blog-pro' ),
		'panel' => 'smooth_blog_pro_home_panel',
	)
);

// about enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_about_setting',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'setting'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_about_setting',
	array(
		'section'		=> 'smooth_blog_pro_about',
		'type'			=> 'radio',
		'choices'		=> array( 
				'setting' => esc_html__( 'Setting', 'smooth-blog-pro' ),
				'style' => esc_html__( 'Style', 'smooth-blog-pro' ),
		 	)
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_about_exerpt',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_number_range',
		'default' => 50,
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_about_exerpt',
	array(
		'section'		=> 'smooth_blog_pro_about',
		'label'			=> esc_html__( 'Exerpt Length', 'smooth-blog-pro' ),
	)
);

// about enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_about',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'disable'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_about',
	array(
		'section'		=> 'smooth_blog_pro_about',
		'label'			=> esc_html__( 'Content type:', 'smooth-blog-pro' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'smooth-blog-pro' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'smooth-blog-pro' ),
				'post' => esc_html__( 'Post', 'smooth-blog-pro' ),
				'page' => esc_html__( 'Page', 'smooth-blog-pro' ),
		 	)
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_about_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'About Authur', 'smooth-blog-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_about_title',
	array(
		'section'		=> 'smooth_blog_pro_about',
		'label'			=> esc_html__(  'Title:', 'smooth-blog-pro' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'smooth_blog_pro_about_title', 
	array(
        'selector'            => '#about-us p.section-subtitle',
		'render_callback'     => 'smooth_blog_pro_about_partial_title',
	) 
);

$wp_customize->add_setting(
	'smooth_blog_pro_about_btn_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'View Full Stories', 'smooth-blog-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_about_btn_title',
	array(
		'section'		=> 'smooth_blog_pro_about',
		'label'			=> esc_html__( 'Btn Title:', 'smooth-blog-pro' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'smooth_blog_pro_about_btn_title', 
	array(
        'selector'            => '#about-us .read-more a',
		'render_callback'     => 'smooth_blog_pro_about_partial_btn_title',
	) 
);

$wp_customize->add_setting(
	'smooth_blog_pro_about_post_1',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_dropdown_pages',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_about_post_1',
	array(
		'section'		=> 'smooth_blog_pro_about',
		'label'			=> esc_html__( 'Post ', 'smooth-blog-pro' ),
		'active_callback' => 'smooth_blog_pro_if_about_post',
		'type'			=> 'select',
		'choices'		=> smooth_blog_pro_get_post_choices(),
	)
);

// about page setting
$wp_customize->add_setting(
	'smooth_blog_pro_about_page_1',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_dropdown_pages',
		'default' => 0,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_about_page_1',
	array(
		'section'		=> 'smooth_blog_pro_about',
		'label'			=> esc_html__( 'Page ', 'smooth-blog-pro' ),
		'type'			=> 'dropdown-pages',
		'active_callback' => 'smooth_blog_pro_if_about_page'
	)
);

// Style 

// overlay enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_about_overlay',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_checkbox',
		'default' => false,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_about_overlay',
	array(
		'section'		=> 'smooth_blog_pro_about',
		'label'			=> esc_html__( 'Enable Overlay', 'smooth-blog-pro' ),
		'type'			=> 'checkbox',
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_about_section_title_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_about_section_title_color',
		array(
			'section'		=> 'smooth_blog_pro_about',
			'label'			=> esc_html__( 'Section Title Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_about_section_sub_title_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_about_section_sub_title_color',
		array(
			'section'		=> 'smooth_blog_pro_about',
			'label'			=> esc_html__( 'Section Sub Title Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_about_section_post_content_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_about_section_post_content_color',
		array(
			'section'		=> 'smooth_blog_pro_about',
			'label'			=> esc_html__( 'Section Post Content Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_about_section_btn_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_about_section_btn_color',
		array(
			'section'		=> 'smooth_blog_pro_about',
			'label'			=> esc_html__( 'Section Btn Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_about_section_btn_text_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_about_section_btn_text_color',
		array(
			'section'		=> 'smooth_blog_pro_about',
			'label'			=> esc_html__( 'Section Btn Text Color', 'smooth-blog-pro' ),

		)
	)
);


$wp_customize->add_setting(	
	'smooth_blog_pro_about_section_hover_btn_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_about_section_hover_btn_color',
		array(
			'section'		=> 'smooth_blog_pro_about',
			'label'			=> esc_html__( 'Section Btn Hover Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_about_section_hover_btn_text_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_about_section_hover_btn_text_color',
		array(
			'section'		=> 'smooth_blog_pro_about',
			'label'			=> esc_html__( 'Section Btn Text Hover Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_about_section_btn_border_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_about_section_btn_border_color',
		array(
			'section'		=> 'smooth_blog_pro_about',
			'label'			=> esc_html__( 'Btn  Border Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_about_section_btn_border_hover_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_about_section_btn_border_hover_color',
		array(
			'section'		=> 'smooth_blog_pro_about',
			'label'			=> esc_html__( 'Btn Border Hover Color', 'smooth-blog-pro' ),

		)
	)
);


// about enable background settings
$wp_customize->add_setting(
	'smooth_blog_pro_about_background',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_about_background',
	array(
		'label'			=> esc_html__( 'Enable Background', 'smooth-blog-pro' ),
		'section'		=> 'smooth_blog_pro_about',
		'type'			=> 'radio',
		'choices'		=> array( 
				'image' => esc_html__( 'Background Image', 'smooth-blog-pro' ),
				'color' => esc_html__( 'Background Color', 'smooth-blog-pro' ),
		 	),
	)
);

$wp_customize->add_setting( 'smooth_blog_pro_about_background_image', array(
	'sanitize_callback' => 'smooth_blog_pro_sanitize_image',
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'smooth_blog_pro_about_background_image',
	array(
	'label'       		=> esc_html__( 'Upload Image', 'smooth-blog-pro' ),
	'section'     		=> 'smooth_blog_pro_about',
	'active_callback'	=> 'smooth_blog_pro_if_about_background_image',
) ) );

$wp_customize->add_setting(	
	'smooth_blog_pro_about_background_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_about_background_color',
		array(
			'section'		=> 'smooth_blog_pro_about',
			'label'			=> esc_html__( 'Select BG Color:', 'smooth-blog-pro' ),
			'active_callback' => 'smooth_blog_pro_if_about_background_color',
		)
	)
);
