<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * blog section
 */

$wp_customize->add_section(
	'smooth_blog_pro_blog',
	array(
		'title' => esc_html__( 'Blog', 'smooth-blog-pro' ),
		'panel' => 'smooth_blog_pro_home_panel',
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_blog_setting',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'setting'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_blog_setting',
	array(
		'section'		=> 'smooth_blog_pro_blog',
		'type'			=> 'radio',
		'choices'		=> array( 
				'setting' => esc_html__( 'Setting', 'smooth-blog-pro' ),
				'style' => esc_html__( 'Style', 'smooth-blog-pro' ),
		 	)
	)
);

// blog enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_blog',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'cat'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_blog',
	array(
		'section'		=> 'smooth_blog_pro_blog',
		'label'			=> esc_html__( 'Content type:', 'smooth-blog-pro' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'smooth-blog-pro' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'smooth-blog-pro' ),
				'post' => esc_html__( 'Post', 'smooth-blog-pro' ),
				'page' => esc_html__( 'Page', 'smooth-blog-pro' ),
				'cat' => esc_html__( 'Category', 'smooth-blog-pro' ),
		 	)
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_blog_exerpt',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_number_range',
		'default' => 30,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_blog_exerpt',
	array(
		'section'		=> 'smooth_blog_pro_blog',
		'label'			=> esc_html__( 'Exerpt Length', 'smooth-blog-pro' ),
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_blog_num',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_number_range',
		'default' => 3,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_blog_num',
	array(
		'section'		=> 'smooth_blog_pro_blog',
		'label'			=> esc_html__( 'Number of Posts:', 'smooth-blog-pro' ),
		'description'			=> esc_html__( 'Min: 3 | Max: 9', 'smooth-blog-pro' ),
		'type'			=> 'number',
		'input_attrs'	=> array( 'min' => 3, 'max' => 9 ),
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_blog_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Popular This Week', 'smooth-blog-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_blog_title',
	array(
		'section'		=> 'smooth_blog_pro_blog',
		'label'			=> esc_html__( 'Title:', 'smooth-blog-pro' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'smooth_blog_pro_blog_title', 
	array(
        'selector'            => '#inner-content-wrapper p.section-subtitle',
		'render_callback'     => 'smooth_blog_pro_blog_partial_title',
	) 
);



$blog_num = get_theme_mod( 'smooth_blog_pro_blog_num', 3 );
for ($i=1; $i <= $blog_num ; $i++) { 
	// blog post setting
	$wp_customize->add_setting(
		'smooth_blog_pro_blog_post_'.$i,
		array(
			'sanitize_callback' => 'smooth_blog_pro_sanitize_dropdown_pages',
		)
	);

	$wp_customize->add_control(
		'smooth_blog_pro_blog_post_'.$i,
		array(
			'section'		=> 'smooth_blog_pro_blog',
			'label'			=> esc_html__( 'Post ', 'smooth-blog-pro' ).$i,
			'active_callback' => 'smooth_blog_pro_if_blog_post',
			'type'			=> 'select',
			'choices'		=> smooth_blog_pro_get_post_choices(),
		)
	);

	// blog page setting
	$wp_customize->add_setting(
		'smooth_blog_pro_blog_page_'.$i,
		array(
			'sanitize_callback' => 'smooth_blog_pro_sanitize_dropdown_pages',
			'default' => 0,
		)
	);

	$wp_customize->add_control(
		'smooth_blog_pro_blog_page_'.$i,
		array(
			'section'		=> 'smooth_blog_pro_blog',
			'label'			=> esc_html__( 'Page ', 'smooth-blog-pro' ).$i,
			'type'			=> 'dropdown-pages',
			'active_callback' => 'smooth_blog_pro_if_blog_page'
		)
	);
}

// blog category setting
$wp_customize->add_setting(
	'smooth_blog_pro_blog_cat',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_blog_cat',
	array(
		'section'		=> 'smooth_blog_pro_blog',
		'label'			=> esc_html__( 'Category:', 'smooth-blog-pro' ),
		'active_callback' => 'smooth_blog_pro_if_blog_cat',
		'type'			=> 'select',
		'choices'		=> smooth_blog_pro_get_post_cat_choices(),
	)
);

// Style 

// overlay enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_blog_overlay',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_checkbox',
		'default' => false,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_blog_overlay',
	array(
		'section'		=> 'smooth_blog_pro_blog',
		'label'			=> esc_html__( 'Enable Overlay', 'smooth-blog-pro' ),
		'type'			=> 'checkbox',
	)
);


$wp_customize->add_setting(	
	'smooth_blog_pro_blog_section_sub_title_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_blog_section_sub_title_color',
		array(
			'section'		=> 'smooth_blog_pro_blog',
			'label'			=> esc_html__( 'Section Title Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_blog_section_post_title_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_blog_section_post_title_color',
		array(
			'section'		=> 'smooth_blog_pro_blog',
			'label'			=> esc_html__( 'Section Post Title Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_blog_section_post_title_hover_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_blog_section_post_title_hover_color',
		array(
			'section'		=> 'smooth_blog_pro_blog',
			'label'			=> esc_html__( 'Section Post Title Hover Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_blog_section_post_category_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_blog_section_post_category_color',
		array(
			'section'		=> 'smooth_blog_pro_blog',
			'label'			=> esc_html__( 'Section Post Category Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_blog_section_post_category_hover_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_blog_section_post_category_hover_color',
		array(
			'section'		=> 'smooth_blog_pro_blog',
			'label'			=> esc_html__( 'Section Post Category Hover Color', 'smooth-blog-pro' ),

		)
	)
);


$wp_customize->add_setting(	
	'smooth_blog_pro_blog_section_post_date_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_blog_section_post_date_color',
		array(
			'section'		=> 'smooth_blog_pro_blog',
			'label'			=> esc_html__( 'Section Post Date Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_blog_section_post_date_hover_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_blog_section_post_date_hover_color',
		array(
			'section'		=> 'smooth_blog_pro_blog',
			'label'			=> esc_html__( 'Section Post Date Hover Color', 'smooth-blog-pro' ),

		)
	)
);

// blog enable background settings
$wp_customize->add_setting(
	'smooth_blog_pro_blog_background',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_blog_background',
	array(
		'label'			=> esc_html__( 'Enable Background', 'smooth-blog-pro' ),
		'section'		=> 'smooth_blog_pro_blog',
		'type'			=> 'radio',
		'choices'		=> array( 
				'image' => esc_html__( 'Background Image', 'smooth-blog-pro' ),
				'color' => esc_html__( 'Background Color', 'smooth-blog-pro' ),
		 	),
	)
);

$wp_customize->add_setting( 'smooth_blog_pro_blog_background_image', array(
	'sanitize_callback' => 'smooth_blog_pro_sanitize_image',
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'smooth_blog_pro_blog_background_image',
	array(
	'label'       		=> esc_html__( 'Upload Image', 'smooth-blog-pro' ),
	'section'     		=> 'smooth_blog_pro_blog',
	'active_callback'	=> 'smooth_blog_pro_if_blog_background_image',
) ) );

$wp_customize->add_setting(	
	'smooth_blog_pro_blog_background_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_blog_background_color',
		array(
			'section'		=> 'smooth_blog_pro_blog',
			'label'			=> esc_html__( 'Select BG Color:', 'smooth-blog-pro' ),
			'active_callback' => 'smooth_blog_pro_if_blog_background_color',
		)
	)
);