<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * featured section
 */

$wp_customize->add_section(
	'smooth_blog_pro_featured',
	array(
		'title' => esc_html__( 'Featured', 'smooth-blog-pro' ),
		'panel' => 'smooth_blog_pro_home_panel',
	)
);



// featured enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_featured_setting',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'setting'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_featured_setting',
	array(
		'section'		=> 'smooth_blog_pro_featured',
		'type'			=> 'radio',
		'choices'		=> array( 
				'setting' => esc_html__( 'Setting', 'smooth-blog-pro' ),
				'style' => esc_html__( 'Style', 'smooth-blog-pro' ),
		 	)
	)
);

// featured enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_featured',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'cat'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_featured',
	array(
		'section'		=> 'smooth_blog_pro_featured',
		'label'			=> esc_html__( 'Content type:', 'smooth-blog-pro' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'smooth-blog-pro' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'smooth-blog-pro' ),
				'post' => esc_html__( 'Post', 'smooth-blog-pro' ),
				'page' => esc_html__( 'Page', 'smooth-blog-pro' ),
				'cat' => esc_html__( 'Category', 'smooth-blog-pro' ),
		 	)
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_featured_col_layout',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'col-3'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_featured_col_layout',
	array(
		'label'			=> esc_html__( 'Column Layout', 'smooth-blog-pro' ),
		'section'		=> 'smooth_blog_pro_featured',
		'type'			=> 'select',
		'choices'		=> array( 
				'col-1' => esc_html__( 'Column 1', 'smooth-blog-pro' ),
				'col-2' => esc_html__( 'Column 2', 'smooth-blog-pro' ),
				'col-3' => esc_html__( 'Column 3', 'smooth-blog-pro' ),
				'col-4' => esc_html__( 'Column 4', 'smooth-blog-pro' ),
		 	)
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_featured_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Featured Posts', 'smooth-blog-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_featured_title',
	array(
		'section'		=> 'smooth_blog_pro_featured',
		'label'			=> esc_html__( 'Title:', 'smooth-blog-pro' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'smooth_blog_pro_featured_title', 
	array(
        'selector'            => '#featured-posts .section-subtitle',
		'render_callback'     => 'smooth_blog_pro_featured_partial_title',
	) 
);

$wp_customize->add_setting(
	'smooth_blog_pro_featured_btn_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'View All Featured Post', 'smooth-blog-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_featured_btn_title',
	array(
		'section'		=> 'smooth_blog_pro_featured',
		'label'			=> esc_html__( 'Btn Title:', 'smooth-blog-pro' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'smooth_blog_pro_featured_btn_title', 
	array(
        'selector'            => '#featured-posts .read-more a',
		'render_callback'     => 'smooth_blog_pro_featured_partial_btn_title',
	) 
);

$wp_customize->add_setting(
	'smooth_blog_pro_featured_btn_url',
	array(
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_featured_btn_url',
	array(
		'section'		=> 'smooth_blog_pro_featured',
		'label'			=> esc_html__( 'Btn Url:', 'smooth-blog-pro' ),
	)
);



// featured number setting
$wp_customize->add_setting(
	'smooth_blog_pro_featured_num',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_number_range',
		'default' => 3,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_featured_num',
	array(
		'section'		=> 'smooth_blog_pro_featured',
		'label'			=> esc_html__( 'Number of Posts:', 'smooth-blog-pro' ),
		'description'			=> esc_html__( 'Min: 3 | Max: 9', 'smooth-blog-pro' ),
		'type'			=> 'number',
		'input_attrs'	=> array( 'min' => 3, 'max' => 9 ),
	)
);
$featured_num = get_theme_mod( 'smooth_blog_pro_featured_num', 3 );
for ($i=1; $i <= $featured_num ; $i++) { 
	// featured post setting
	$wp_customize->add_setting(
		'smooth_blog_pro_featured_post_'.$i,
		array(
			'sanitize_callback' => 'smooth_blog_pro_sanitize_dropdown_pages',
		)
	);

	$wp_customize->add_control(
		'smooth_blog_pro_featured_post_'.$i,
		array(
			'section'		=> 'smooth_blog_pro_featured',
			'label'			=> esc_html__( 'Post ', 'smooth-blog-pro' ).$i,
			'active_callback' => 'smooth_blog_pro_if_featured_post',
			'type'			=> 'select',
			'choices'		=> smooth_blog_pro_get_post_choices(),
		)
	);

	// featured page setting
	$wp_customize->add_setting(
		'smooth_blog_pro_featured_page_'.$i,
		array(
			'sanitize_callback' => 'smooth_blog_pro_sanitize_dropdown_pages',
			'default' => 0,
		)
	);

	$wp_customize->add_control(
		'smooth_blog_pro_featured_page_'.$i,
		array(
			'section'		=> 'smooth_blog_pro_featured',
			'label'			=> esc_html__( 'Page ', 'smooth-blog-pro' ).$i,
			'type'			=> 'dropdown-pages',
			'active_callback' => 'smooth_blog_pro_if_featured_page'
		)
	);
}

// featured category setting
$wp_customize->add_setting(
	'smooth_blog_pro_featured_cat',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_featured_cat',
	array(
		'section'		=> 'smooth_blog_pro_featured',
		'label'			=> esc_html__( 'Category:', 'smooth-blog-pro' ),
		'active_callback' => 'smooth_blog_pro_if_featured_cat',
		'type'			=> 'select',
		'choices'		=> smooth_blog_pro_get_post_cat_choices(),
	)
);

// Style 

// overlay enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_featured_overlay',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_checkbox',
		'default' => false,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_featured_overlay',
	array(
		'section'		=> 'smooth_blog_pro_featured',
		'label'			=> esc_html__( 'Enable Overlay', 'smooth-blog-pro' ),
		'type'			=> 'checkbox',
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_featured_section_sub_title_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_featured_section_sub_title_color',
		array(
			'section'		=> 'smooth_blog_pro_featured',
			'label'			=> esc_html__( 'Section Title Color', 'smooth-blog-pro' ),

		)
	)
);


$wp_customize->add_setting(	
	'smooth_blog_pro_featured_section_btn_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_featured_section_btn_color',
		array(
			'section'		=> 'smooth_blog_pro_featured',
			'label'			=> esc_html__( 'Section Btn Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_featured_section_btn_text_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_featured_section_btn_text_color',
		array(
			'section'		=> 'smooth_blog_pro_featured',
			'label'			=> esc_html__( 'Section Btn Text Color', 'smooth-blog-pro' ),

		)
	)
);


$wp_customize->add_setting(	
	'smooth_blog_pro_featured_section_hover_btn_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_featured_section_hover_btn_color',
		array(
			'section'		=> 'smooth_blog_pro_featured',
			'label'			=> esc_html__( 'Section Btn Hover Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_featured_section_hover_btn_text_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_featured_section_hover_btn_text_color',
		array(
			'section'		=> 'smooth_blog_pro_featured',
			'label'			=> esc_html__( 'Section Btn Text Hover Color', 'smooth-blog-pro' ),

		)
	)
);


// featured enable background settings
$wp_customize->add_setting(
	'smooth_blog_pro_featured_background',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_featured_background',
	array(
		'label'			=> esc_html__( 'Enable Background', 'smooth-blog-pro' ),
		'section'		=> 'smooth_blog_pro_featured',
		'type'			=> 'radio',
		'choices'		=> array( 
				'image' => esc_html__( 'Background Image', 'smooth-blog-pro' ),
				'color' => esc_html__( 'Background Color', 'smooth-blog-pro' ),
		 	),
	)
);

$wp_customize->add_setting( 'smooth_blog_pro_featured_background_image', array(
	'sanitize_callback' => 'smooth_blog_pro_sanitize_image',
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'smooth_blog_pro_featured_background_image',
	array(
	'label'       		=> esc_html__( 'Upload Image', 'smooth-blog-pro' ),
	'section'     		=> 'smooth_blog_pro_featured',
	'active_callback'	=> 'smooth_blog_pro_if_featured_background_image',
) ) );

$wp_customize->add_setting(	
	'smooth_blog_pro_featured_background_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_featured_background_color',
		array(
			'section'		=> 'smooth_blog_pro_featured',
			'label'			=> esc_html__( 'Select BG Color:', 'smooth-blog-pro' ),
			'active_callback' => 'smooth_blog_pro_if_featured_background_color',
		)
	)
);
