<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * Header panel
 */

// Header section
$wp_customize->add_section(
	'smooth_blog_pro_header_section',
	array(
		'title' => esc_html__( 'Header', 'smooth-blog-pro' ),
		'panel' => 'smooth_blog_pro_general_panel',
	)
);

// header enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_header_setting',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'setting'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_header_setting',
	array(
		'section'		=> 'smooth_blog_pro_header_section',
		'type'			=> 'radio',
		'choices'		=> array( 
				'setting' => esc_html__( 'Setting', 'smooth-blog-pro' ),
				'style' => esc_html__( 'Style', 'smooth-blog-pro' ),
		 	)
	)
);


// Header menu sticky enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_make_menu_sticky',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_checkbox',
		'default' => false
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_make_menu_sticky',
	array(
		'section'		=> 'smooth_blog_pro_header_section',
		'label'			=> esc_html__( 'Make menu sticky.', 'smooth-blog-pro' ),
		'type'			=> 'checkbox',
	)
);

// Header menu sticky enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_header_style',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'header-1'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_header_style',
	array(
		'section'		=> 'smooth_blog_pro_header_section',
		'label'			=> esc_html__( 'Select Header Style', 'smooth-blog-pro' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'header-1' => esc_html__( 'Header 1', 'smooth-blog-pro' ),
				'header-2' => esc_html__( 'Header 2', 'smooth-blog-pro' ),		 	
				'header-3' => esc_html__( 'Header 3', 'smooth-blog-pro' ),
			)
	)
);


$wp_customize->add_setting(
	'smooth_blog_pro_header_display',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'none',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_header_display',
	array(
		'section'		=> 'smooth_blog_pro_header_section',
		'label'			=> esc_html__( 'Header Display Option', 'smooth-blog-pro' ),
		'type'			=> 'select',
		'active_callback'	=> 'smooth_blog_pro_if_header_banner',
		'choices'		=> array( 
				'none' => esc_html__( 'Nothing', 'smooth-blog-pro' ),
				'ads' => esc_html__( 'Add Banner Image', 'smooth-blog-pro' ),
		 	)
	)
);

// ads image setting and control.
$wp_customize->add_setting( 'smooth_blog_pro_header_ads_image', array(
	'sanitize_callback' => 'smooth_blog_pro_sanitize_image',
	'default'			=> get_template_directory_uri() . '/assets/img/site-advertisement.jpg',
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'smooth_blog_pro_header_ads_image',
	array(
	'label'       		=> esc_html__( 'Ads Image', 'smooth-blog-pro' ),
	'description' 		=> sprintf( esc_html__( 'Recommended size: %1$dpx x %2$dpx ', 'smooth-blog-pro' ), 810, 120 ),
	'section'     		=> 'smooth_blog_pro_header_section',
	'active_callback'	=> 'smooth_blog_pro_if_header_ads',
) ) );

// ads link setting and control
$wp_customize->add_setting( 'smooth_blog_pro_header_ads_image_url', array(
	'sanitize_callback' => 'esc_url_raw',
) );

$wp_customize->add_control( 'smooth_blog_pro_header_ads_image_url', array(
	'label'           	=> esc_html__( 'Ads Url', 'smooth-blog-pro' ),
	'section'        	=> 'smooth_blog_pro_header_section',
	'type'				=> 'url',
	'active_callback'	=> 'smooth_blog_pro_if_header_ads',
) );

// Header menu sticky enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_make_menu_sticky',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_checkbox',
		'default' => false
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_make_menu_sticky',
	array(
		'section'		=> 'smooth_blog_pro_header_section',
		'label'			=> esc_html__( 'Make menu sticky.', 'smooth-blog-pro' ),
		'type'			=> 'checkbox',
	)
);

// Header menu sticky enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_make_trasparent_menu',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_checkbox',
		'default' => false
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_make_trasparent_menu',
	array(
		'section'		=> 'smooth_blog_pro_header_section',
		'label'			=> esc_html__( 'Make menu transparent.', 'smooth-blog-pro' ),
		'type'			=> 'checkbox',
	)
);


// Style 
// overlay enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_header_overlay',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_checkbox',
		'default' => false,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_header_overlay',
	array(
		'section'		=> 'smooth_blog_pro_header_section',
		'label'			=> esc_html__( 'Enable Overlay', 'smooth-blog-pro' ),
		'type'			=> 'checkbox',
	)
);



$wp_customize->add_setting(
	'smooth_blog_pro_header_title_font_size',
	array(
		'sanitize_callback' => 'absint',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_header_title_font_size',
	array(
		'label'			=> esc_html__( 'Site Title Font Size', 'smooth-blog-pro' ),
		'section'		=> 'smooth_blog_pro_header_section',
		'type'			=> 'number',
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_header_nav_top_border',
	array(
		'sanitize_callback' => 'absint',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_header_nav_top_border',
	array(
		'label'			=> esc_html__( 'Top Border Size', 'smooth-blog-pro' ),
		'section'		=> 'smooth_blog_pro_header_section',
		'type'			=> 'number',
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_header_nav_botton_border',
	array(
		'sanitize_callback' => 'absint',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_header_nav_botton_border',
	array(
		'label'			=> esc_html__( 'Bottom Border Size', 'smooth-blog-pro' ),
		'section'		=> 'smooth_blog_pro_header_section',
		'type'			=> 'number',
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_header_nav_font_size',
	array(
		'sanitize_callback' => 'absint',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_header_nav_font_size',
	array(
		'label'			=> esc_html__( 'Nav Item Font Size', 'smooth-blog-pro' ),
		'section'		=> 'smooth_blog_pro_header_section',
		'type'			=> 'number',
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_header_nav_item_margin',
	array(
		'sanitize_callback' => 'absint',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_header_nav_item_margin',
	array(
		'label'			=> esc_html__( 'Nav Item Left/Right Margin', 'smooth-blog-pro' ),
		'section'		=> 'smooth_blog_pro_header_section',
		'type'			=> 'number',
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_header_section_menu_bg_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_header_section_menu_bg_color',
		array(
			'section'		=> 'smooth_blog_pro_header_section',
			'label'			=> esc_html__( 'Menu Background Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_header_section_top_border_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_header_section_top_border_color',
		array(
			'section'		=> 'smooth_blog_pro_header_section',
			'label'			=> esc_html__( 'Nav Top Border Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_header_section_nav_item_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_header_section_nav_item_color',
		array(
			'section'		=> 'smooth_blog_pro_header_section',
			'label'			=> esc_html__( 'Nav Item Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_header_section_nav_item_hover_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_header_section_nav_item_hover_color',
		array(
			'section'		=> 'smooth_blog_pro_header_section',
			'label'			=> esc_html__( 'Nav Item Hover Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_header_section_nav_bottom_border_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_header_section_nav_bottom_border_color',
		array(
			'section'		=> 'smooth_blog_pro_header_section',
			'label'			=> esc_html__( 'Nav Botton Border Color', 'smooth-blog-pro' ),

		)
	)
);


// header enable background settings
$wp_customize->add_setting(
	'smooth_blog_pro_header_background',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_header_background',
	array(
		'label'			=> esc_html__( 'Enable Background', 'smooth-blog-pro' ),
		'section'		=> 'smooth_blog_pro_header_section',
		'type'			=> 'radio',
		'choices'		=> array( 
				'image' => esc_html__( 'Background Image', 'smooth-blog-pro' ),
				'color' => esc_html__( 'Background Color', 'smooth-blog-pro' ),
		 	),
	)
);

$wp_customize->add_setting( 'smooth_blog_pro_header_background_image', array(
	'sanitize_callback' => 'smooth_blog_pro_sanitize_image',
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'smooth_blog_pro_header_background_image',
	array(
	'label'       		=> esc_html__( 'Upload Image', 'smooth-blog-pro' ),
	'section'     		=> 'smooth_blog_pro_header_section',
	'active_callback'	=> 'smooth_blog_pro_if_header_background_image',
) ) );

$wp_customize->add_setting(	
	'smooth_blog_pro_header_background_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_header_background_color',
		array(
			'section'		=> 'smooth_blog_pro_header_section',
			'label'			=> esc_html__( 'Select BG Color:', 'smooth-blog-pro' ),
			'active_callback' => 'smooth_blog_pro_if_header_background_color',
		)
	)
);