<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * popular section
 */

$wp_customize->add_section(
	'smooth_blog_pro_popular',
	array(
		'title' => esc_html__( 'Popular', 'smooth-blog-pro' ),
		'panel' => 'smooth_blog_pro_home_panel',
	)
);


// blog enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_popular',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'cat'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_popular',
	array(
		'section'		=> 'smooth_blog_pro_popular',
		'label'			=> esc_html__( 'Content type:', 'smooth-blog-pro' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'smooth-blog-pro' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'smooth-blog-pro' ),
				'post' => esc_html__( 'Post', 'smooth-blog-pro' ),
				'page' => esc_html__( 'Page', 'smooth-blog-pro' ),
				'cat' => esc_html__( 'Category', 'smooth-blog-pro' ),
		 	)
	)
);


$wp_customize->add_setting(
	'smooth_blog_pro_popular_num',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_number_range',
		'default' => 5,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_popular_num',
	array(
		'section'		=> 'smooth_blog_pro_popular',
		'label'			=> esc_html__( 'Number of Posts:', 'smooth-blog-pro' ),
		'description'			=> esc_html__( 'Min: 3 | Max: 9', 'smooth-blog-pro' ),
		'type'			=> 'number',
		'input_attrs'	=> array( 'min' => 5, 'max' => 9 ),
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_popular_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'POPULAR POSTS', 'smooth-blog-pro' ),
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_popular_title',
	array(
		'section'		=> 'smooth_blog_pro_popular',
		'label'			=> esc_html__( 'Title:', 'smooth-blog-pro' ),
	)
);



$blog_num = get_theme_mod( 'smooth_blog_pro_popular_num', 5 );
for ($i=1; $i <= $blog_num ; $i++) { 
	// blog post setting
	$wp_customize->add_setting(
		'smooth_blog_pro_popular_post_'.$i,
		array(
			'sanitize_callback' => 'smooth_blog_pro_sanitize_dropdown_pages',
		)
	);

	$wp_customize->add_control(
		'smooth_blog_pro_popular_post_'.$i,
		array(
			'section'		=> 'smooth_blog_pro_popular',
			'label'			=> esc_html__( 'Post ', 'smooth-blog-pro' ).$i,
			'active_callback' => 'smooth_blog_pro_if_popular_post',
			'type'			=> 'select',
			'choices'		=> smooth_blog_pro_get_post_choices(),
		)
	);

	// blog page setting
	$wp_customize->add_setting(
		'smooth_blog_pro_popular_page_'.$i,
		array(
			'sanitize_callback' => 'smooth_blog_pro_sanitize_dropdown_pages',
			'default' => 0,
		)
	);

	$wp_customize->add_control(
		'smooth_blog_pro_popular_page_'.$i,
		array(
			'section'		=> 'smooth_blog_pro_popular',
			'label'			=> esc_html__( 'Page ', 'smooth-blog-pro' ).$i,
			'type'			=> 'dropdown-pages',
			'active_callback' => 'smooth_blog_pro_if_popular_page'
		)
	);
}

// blog category setting
$wp_customize->add_setting(
	'smooth_blog_pro_popular_cat',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_popular_cat',
	array(
		'section'		=> 'smooth_blog_pro_popular',
		'label'			=> esc_html__( 'Category:', 'smooth-blog-pro' ),
		'active_callback' => 'smooth_blog_pro_if_popular_cat',
		'type'			=> 'select',
		'choices'		=> smooth_blog_pro_get_post_cat_choices(),
	)
);