<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * related section
 */

$wp_customize->add_section(
	'smooth_blog_pro_related',
	array(
		'title' => esc_html__( 'Related', 'smooth-blog-pro' ),
		'panel' => 'smooth_blog_pro_home_panel',
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_related_setting',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'setting'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_related_setting',
	array(
		'section'		=> 'smooth_blog_pro_related',
		'type'			=> 'radio',
		'choices'		=> array( 
				'setting' => esc_html__( 'Setting', 'smooth-blog-pro' ),
				'style' => esc_html__( 'Style', 'smooth-blog-pro' ),
		 	)
	)
);

// blog enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_related',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'cat'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_related',
	array(
		'section'		=> 'smooth_blog_pro_related',
		'label'			=> esc_html__( 'Content type:', 'smooth-blog-pro' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'smooth-blog-pro' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'smooth-blog-pro' ),
				'post' => esc_html__( 'Post', 'smooth-blog-pro' ),
				'page' => esc_html__( 'Page', 'smooth-blog-pro' ),
				'cat' => esc_html__( 'Category', 'smooth-blog-pro' ),
		 	)
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_related_col_layout',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'col-3'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_related_col_layout',
	array(
		'label'			=> esc_html__( 'Column Layout', 'smooth-blog-pro' ),
		'section'		=> 'smooth_blog_pro_related',
		'type'			=> 'select',
		'choices'		=> array( 
				'col-1' => esc_html__( 'Column 1', 'smooth-blog-pro' ),
				'col-2' => esc_html__( 'Column 2', 'smooth-blog-pro' ),
				'col-3' => esc_html__( 'Column 3', 'smooth-blog-pro' ),
				'col-4' => esc_html__( 'Column 4', 'smooth-blog-pro' ),
		 	)
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_related_num',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_number_range',
		'default' => 3,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_related_num',
	array(
		'section'		=> 'smooth_blog_pro_related',
		'label'			=> esc_html__( 'Number of Posts:', 'smooth-blog-pro' ),
		'description'			=> esc_html__( 'Min: 3 | Max: 9', 'smooth-blog-pro' ),
		'type'			=> 'number',
		'input_attrs'	=> array( 'min' => 3, 'max' => 9 ),
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_related_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'You May Also Like...', 'smooth-blog-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_related_title',
	array(
		'section'		=> 'smooth_blog_pro_related',
		'label'			=> esc_html__( 'Title:', 'smooth-blog-pro' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'smooth_blog_pro_related_title', 
	array(
        'selector'            => '#related-posts .section-title',
		'render_callback'     => 'smooth_blog_pro_related_partial_title',
	) 
);

$wp_customize->add_setting(
	'smooth_blog_pro_related_sub_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Related Blogs', 'smooth-blog-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_related_sub_title',
	array(
		'section'		=> 'smooth_blog_pro_related',
		'label'			=> esc_html__( 'Sub Title:', 'smooth-blog-pro' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'smooth_blog_pro_related_sub_title', 
	array(
        'selector'            => '#related-posts .section-subtitle',
		'render_callback'     => 'smooth_blog_pro_related_partial_sub_title',
	) 
);

$wp_customize->add_setting(
	'smooth_blog_pro_related_btn_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'View All', 'smooth-blog-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_related_btn_title',
	array(
		'section'		=> 'smooth_blog_pro_related',
		'label'			=> esc_html__( 'Btn Title:', 'smooth-blog-pro' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'smooth_blog_pro_related_btn_title', 
	array(
        'selector'            => '#related-posts .read-more',
		'render_callback'     => 'smooth_blog_pro_related_partial_btn_title',
	) 
);


$wp_customize->add_setting(
	'smooth_blog_pro_related_btn_url',
	array(
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_related_btn_url',
	array(
		'section'		=> 'smooth_blog_pro_related',
		'label'			=> esc_html__( 'Btn Url:', 'smooth-blog-pro' ),
	)
);




$blog_num = get_theme_mod( 'smooth_blog_pro_related_num', 3 );
for ($i=1; $i <= $blog_num ; $i++) { 
	// blog post setting
	$wp_customize->add_setting(
		'smooth_blog_pro_related_post_'.$i,
		array(
			'sanitize_callback' => 'smooth_blog_pro_sanitize_dropdown_pages',
		)
	);

	$wp_customize->add_control(
		'smooth_blog_pro_related_post_'.$i,
		array(
			'section'		=> 'smooth_blog_pro_related',
			'label'			=> esc_html__( 'Post ', 'smooth-blog-pro' ).$i,
			'active_callback' => 'smooth_blog_pro_if_related_post',
			'type'			=> 'select',
			'choices'		=> smooth_blog_pro_get_post_choices(),
		)
	);

	// blog page setting
	$wp_customize->add_setting(
		'smooth_blog_pro_related_page_'.$i,
		array(
			'sanitize_callback' => 'smooth_blog_pro_sanitize_dropdown_pages',
			'default' => 0,
		)
	);

	$wp_customize->add_control(
		'smooth_blog_pro_related_page_'.$i,
		array(
			'section'		=> 'smooth_blog_pro_related',
			'label'			=> esc_html__( 'Page ', 'smooth-blog-pro' ).$i,
			'type'			=> 'dropdown-pages',
			'active_callback' => 'smooth_blog_pro_if_related_page'
		)
	);
}

// blog category setting
$wp_customize->add_setting(
	'smooth_blog_pro_related_cat',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_related_cat',
	array(
		'section'		=> 'smooth_blog_pro_related',
		'label'			=> esc_html__( 'Category:', 'smooth-blog-pro' ),
		'active_callback' => 'smooth_blog_pro_if_related_cat',
		'type'			=> 'select',
		'choices'		=> smooth_blog_pro_get_post_cat_choices(),
	)
);

// Style 



$wp_customize->add_setting(	
	'smooth_blog_pro_related_section_sub_title_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_related_section_sub_title_color',
		array(
			'section'		=> 'smooth_blog_pro_related',
			'label'			=> esc_html__( 'Section Sub Title Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_related_section_title_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_related_section_title_color',
		array(
			'section'		=> 'smooth_blog_pro_related',
			'label'			=> esc_html__( 'Section Title Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_related_section_post_container_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_related_section_post_container_color',
		array(
			'section'		=> 'smooth_blog_pro_related',
			'label'			=> esc_html__( 'Section Post Container BG Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_related_section_post_title_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_related_section_post_title_color',
		array(
			'section'		=> 'smooth_blog_pro_related',
			'label'			=> esc_html__( 'Section Post Title Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_related_section_post_hover_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_related_section_post_hover_color',
		array(
			'section'		=> 'smooth_blog_pro_related',
			'label'			=> esc_html__( 'Section Post Title Hover Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_related_section_date_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_related_section_date_color',
		array(
			'section'		=> 'smooth_blog_pro_related',
			'label'			=> esc_html__( 'Date Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_related_section_date_hover_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_related_section_date_hover_color',
		array(
			'section'		=> 'smooth_blog_pro_related',
			'label'			=> esc_html__( 'Date Hover Color', 'smooth-blog-pro' ),
		)
	)
);



$wp_customize->add_setting(	
	'smooth_blog_pro_related_section_btn_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_related_section_btn_color',
		array(
			'section'		=> 'smooth_blog_pro_related',
			'label'			=> esc_html__( 'Btn Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_related_section_btn_hover_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_related_section_btn_hover_color',
		array(
			'section'		=> 'smooth_blog_pro_related',
			'label'			=> esc_html__( 'Btn Hover Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_related_section_btn_border_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_related_section_btn_border_color',
		array(
			'section'		=> 'smooth_blog_pro_related',
			'label'			=> esc_html__( 'Btn  Border Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_related_section_btn_border_hover_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_related_section_btn_border_hover_color',
		array(
			'section'		=> 'smooth_blog_pro_related',
			'label'			=> esc_html__( 'Btn Border Hover Color', 'smooth-blog-pro' ),
		)
	)
);
$wp_customize->add_setting(	
	'smooth_blog_pro_related_section_btn_text_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_related_section_btn_text_color',
		array(
			'section'		=> 'smooth_blog_pro_related',
			'label'			=> esc_html__( 'Btn Text Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_related_section_btn_text_hover_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_related_section_btn_text_hover_color',
		array(
			'section'		=> 'smooth_blog_pro_related',
			'label'			=> esc_html__( 'Btn Text Hover Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_related_section_post_category_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_related_section_post_category_color',
		array(
			'section'		=> 'smooth_blog_pro_related',
			'label'			=> esc_html__( 'Post Category Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_related_section_post_category_hover_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_related_section_post_category_hover_color',
		array(
			'section'		=> 'smooth_blog_pro_related',
			'label'			=> esc_html__( 'Post Category Hover Color', 'smooth-blog-pro' ),
		)
	)
);



// related enable background settings
$wp_customize->add_setting(
	'smooth_blog_pro_related_background',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_related_background',
	array(
		'label'			=> esc_html__( 'Enable Background', 'smooth-blog-pro' ),
		'section'		=> 'smooth_blog_pro_related',
		'type'			=> 'radio',
		'choices'		=> array( 
				'image' => esc_html__( 'Background Image', 'smooth-blog-pro' ),
				'color' => esc_html__( 'Background Color', 'smooth-blog-pro' ),
		 	)
	)
);

$wp_customize->add_setting( 'smooth_blog_pro_related_background_image', array(
	'sanitize_callback' => 'smooth_blog_pro_sanitize_image',
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'smooth_blog_pro_related_background_image',
	array(
	'label'       		=> esc_html__( 'Upload Image', 'smooth-blog-pro' ),
	'section'     		=> 'smooth_blog_pro_related',
	'active_callback'	=> 'smooth_blog_pro_if_related_background_image',
) ) );

$wp_customize->add_setting(	
	'smooth_blog_pro_related_background_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_related_background_color',
		array(
			'section'		=> 'smooth_blog_pro_related',
			'label'			=> esc_html__( 'Select BG Color:', 'smooth-blog-pro' ),
			'active_callback' => 'smooth_blog_pro_if_related_background_color',
		)
	)
);