<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * service section
 */

$wp_customize->add_section(
	'smooth_blog_pro_service',
	array(
		'title' => esc_html__( 'Service', 'smooth-blog-pro' ),
		'panel' => 'smooth_blog_pro_home_panel',
	)
);

// service enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_service_setting',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'setting'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_service_setting',
	array(
		'section'		=> 'smooth_blog_pro_service',
		'type'			=> 'radio',
		'choices'		=> array( 
				'setting' => esc_html__( 'Setting', 'smooth-blog-pro' ),
				'style' => esc_html__( 'Style', 'smooth-blog-pro' ),
		 	)
	)
);


// service enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_service',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'cat'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_service',
	array(
		'section'		=> 'smooth_blog_pro_service',
		'label'			=> esc_html__( 'Content type:', 'smooth-blog-pro' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'smooth-blog-pro' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'smooth-blog-pro' ),
				'post' => esc_html__( 'Post', 'smooth-blog-pro' ),
				'page' => esc_html__( 'Page', 'smooth-blog-pro' ),
				'cat' => esc_html__( 'Category', 'smooth-blog-pro' ),
		 	)
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_service_col_layout',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'col-3'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_service_col_layout',
	array(
		'section'		=> 'smooth_blog_pro_service',
		'label'			=> esc_html__( 'Column Layout', 'smooth-blog-pro' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'col-1' => esc_html__( 'Column 1', 'smooth-blog-pro' ),
				'col-2' => esc_html__( 'Column 2', 'smooth-blog-pro' ),
				'col-3' => esc_html__( 'Column 3', 'smooth-blog-pro' ),
				'col-4' => esc_html__( 'Column 4', 'smooth-blog-pro' ),
		 	)
	)
);


$wp_customize->add_setting(
	'smooth_blog_pro_service_exerpt',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_number_range',
		'default' => 30,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_service_exerpt',
	array(
		'section'		=> 'smooth_blog_pro_service',
		'label'			=> esc_html__( 'Exerpt Length', 'smooth-blog-pro' ),
	)
);


$wp_customize->add_setting(
	'smooth_blog_pro_service_num',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_number_range',
		'default' => 3,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_service_num',
	array(
		'section'		=> 'smooth_blog_pro_service',
		'label'			=> esc_html__( 'Number of Posts:', 'smooth-blog-pro' ),
		'description'			=> esc_html__( 'Min: 3 | Max: 9', 'smooth-blog-pro' ),
		'type'			=> 'number',
		'input_attrs'	=> array( 'min' => 3, 'max' => 9 ),
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_service_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'We Are Here To Help You Grow', 'smooth-blog-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_service_title',
	array(
		'section'		=> 'smooth_blog_pro_service',
		'label'			=> esc_html__( 'Title:', 'smooth-blog-pro' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'smooth_blog_pro_service_title', 
	array(
        'selector'            => '#our-services .section-title',
		'render_callback'     => 'smooth_blog_pro_service_partial_title',
	) 
);

$wp_customize->add_setting(
	'smooth_blog_pro_service_sub_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Our Services', 'smooth-blog-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_service_sub_title',
	array(
		'section'		=> 'smooth_blog_pro_service',
		'label'			=> esc_html__( 'Sub Title:', 'smooth-blog-pro' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'smooth_blog_pro_service_sub_title', 
	array(
        'selector'            => '#our-services .section-subtitle',
		'render_callback'     => 'smooth_blog_pro_service_partial_sub_title',
	) 
);

$wp_customize->add_setting(
	'smooth_blog_pro_service_btn_label',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Read More', 'smooth-blog-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_service_btn_label',
	array(
		'section'		=> 'smooth_blog_pro_service',
		'label'			=> esc_html__( 'Btn label:', 'smooth-blog-pro' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'smooth_blog_pro_service_btn_label', 
	array(
        'selector'            => '#service .section-btn_label',
		'render_callback'     => 'smooth_blog_pro_service_partial_btn_label',
	) 
);


$service_num = get_theme_mod( 'smooth_blog_pro_service_num', 3 );
for ($i=1; $i <= $service_num ; $i++) { 

	$wp_customize->add_setting(
		'smooth_blog_pro_service_icons_' . $i,
		array(	
		'sanitize_callback' => 'sanitize_text_field'
		)
	);

	$wp_customize->add_control(
		'smooth_blog_pro_service_icons_' . $i,
		array(
		'label'       => __('Icon ', 'smooth-blog-pro'). $i,
		'description' => sprintf( __('Please input icon as eg: fa-archive. Find Font-awesome icons %1$shere%2$s', 'smooth-blog-pro'), '<a href="' . esc_url( 'https://fontawesome.com/v4.7.0/cheatsheet/' ) . '" target="_blank">', '</a>' ),
		'section'     => 'smooth_blog_pro_service',   	
		'type'        => 'text',
		)
	);
	// service post setting
	$wp_customize->add_setting(
		'smooth_blog_pro_service_post_'.$i,
		array(
			'sanitize_callback' => 'smooth_blog_pro_sanitize_dropdown_pages',
		)
	);

	$wp_customize->add_control(
		'smooth_blog_pro_service_post_'.$i,
		array(
			'section'		=> 'smooth_blog_pro_service',
			'label'			=> esc_html__( 'Post ', 'smooth-blog-pro' ).$i,
			'active_callback' => 'smooth_blog_pro_if_service_post',
			'type'			=> 'select',
			'choices'		=> smooth_blog_pro_get_post_choices(),
		)
	);

	// service page setting
	$wp_customize->add_setting(
		'smooth_blog_pro_service_page_'.$i,
		array(
			'sanitize_callback' => 'smooth_blog_pro_sanitize_dropdown_pages',
			'default' => 0,
		)
	);

	$wp_customize->add_control(
		'smooth_blog_pro_service_page_'.$i,
		array(
			'section'		=> 'smooth_blog_pro_service',
			'label'			=> esc_html__( 'Page ', 'smooth-blog-pro' ).$i,
			'type'			=> 'dropdown-pages',
			'active_callback' => 'smooth_blog_pro_if_service_page'
		)
	);
}

// service category setting
$wp_customize->add_setting(
	'smooth_blog_pro_service_cat',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_service_cat',
	array(
		'section'		=> 'smooth_blog_pro_service',
		'label'			=> esc_html__( 'Category:', 'smooth-blog-pro' ),
		'active_callback' => 'smooth_blog_pro_if_service_cat',
		'type'			=> 'select',
		'choices'		=> smooth_blog_pro_get_post_cat_choices(),
	)
);


// Style 

// overlay enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_service_overlay',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_checkbox',
		'default' => false,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_service_overlay',
	array(
		'section'		=> 'smooth_blog_pro_service',
		'label'			=> esc_html__( 'Enable Overlay', 'smooth-blog-pro' ),
		'type'			=> 'checkbox',
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_service_section_title_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_service_section_title_color',
		array(
			'section'		=> 'smooth_blog_pro_service',
			'label'			=> esc_html__( 'Section Title Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_service_section_sub_title_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_service_section_sub_title_color',
		array(
			'section'		=> 'smooth_blog_pro_service',
			'label'			=> esc_html__( 'Section Sub Title Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_service_section_post_title_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_service_section_post_title_color',
		array(
			'section'		=> 'smooth_blog_pro_service',
			'label'			=> esc_html__( 'Section Post Title Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_service_section_hover_post_title_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_service_section_hover_post_title_color',
		array(
			'section'		=> 'smooth_blog_pro_service',
			'label'			=> esc_html__( 'Section Post Title Hover Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_service_section_post_content_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_service_section_post_content_color',
		array(
			'section'		=> 'smooth_blog_pro_service',
			'label'			=> esc_html__( 'Section Post Content Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_service_section_btn_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_service_section_btn_color',
		array(
			'section'		=> 'smooth_blog_pro_service',
			'label'			=> esc_html__( 'Section Btn Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_service_section_btn_text_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_service_section_btn_text_color',
		array(
			'section'		=> 'smooth_blog_pro_service',
			'label'			=> esc_html__( 'Section Btn Text Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_service_section_btn_border_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_service_section_btn_border_color',
		array(
			'section'		=> 'smooth_blog_pro_service',
			'label'			=> esc_html__( 'Section Btn Border Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_service_section_hover_btn_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_service_section_hover_btn_color',
		array(
			'section'		=> 'smooth_blog_pro_service',
			'label'			=> esc_html__( 'Section Btn Hover Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_service_section_hover_btn_text_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_service_section_hover_btn_text_color',
		array(
			'section'		=> 'smooth_blog_pro_service',
			'label'			=> esc_html__( 'Section Btn Text Hover Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_service_section_hover_btn_border_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_service_section_hover_btn_border_color',
		array(
			'section'		=> 'smooth_blog_pro_service',
			'label'			=> esc_html__( 'Section Btn Border Hover Color', 'smooth-blog-pro' ),

		)
	)
);

// service enable background settings
$wp_customize->add_setting(
	'smooth_blog_pro_service_background',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_service_background',
	array(
		'label'			=> esc_html__( 'Enable Background', 'smooth-blog-pro' ),
		'section'		=> 'smooth_blog_pro_service',
		'type'			=> 'radio',
		'choices'		=> array( 
				'image' => esc_html__( 'Background Image', 'smooth-blog-pro' ),
				'color' => esc_html__( 'Background Color', 'smooth-blog-pro' ),
		 	),
	)
);

$wp_customize->add_setting( 'smooth_blog_pro_service_background_image', array(
	'sanitize_callback' => 'smooth_blog_pro_sanitize_image',
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'smooth_blog_pro_service_background_image',
	array(
	'label'       		=> esc_html__( 'Upload Image', 'smooth-blog-pro' ),
	'section'     		=> 'smooth_blog_pro_service',
	'active_callback'	=> 'smooth_blog_pro_if_service_background_image',
) ) );

$wp_customize->add_setting(	
	'smooth_blog_pro_service_background_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_service_background_color',
		array(
			'section'		=> 'smooth_blog_pro_service',
			'label'			=> esc_html__( 'Select BG Color:', 'smooth-blog-pro' ),
			'active_callback' => 'smooth_blog_pro_if_service_background_color',
		)
	)
);