<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * Posts Slider section
 */

$wp_customize->add_section(
	'smooth_blog_pro_slider',
	array(
		'title' => esc_html__( 'Slider', 'smooth-blog-pro' ),
		'panel' => 'smooth_blog_pro_home_panel',
	)
);

// slider enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_slider_setting',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'setting'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_slider_setting',
	array(
		'section'		=> 'smooth_blog_pro_slider',
		'type'			=> 'radio',
		'choices'		=> array( 
				'setting' => esc_html__( 'Setting', 'smooth-blog-pro' ),
				'style' => esc_html__( 'Style', 'smooth-blog-pro' ),
		 	)
	)
);

// slider enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_slider',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'cat'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_slider',
	array(
		'section'		=> 'smooth_blog_pro_slider',
		'label'			=> esc_html__( 'Content type:', 'smooth-blog-pro' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'smooth-blog-pro' ),
		'type'			=> 'select',		
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'smooth-blog-pro' ),
				'post' => esc_html__( 'Post', 'smooth-blog-pro' ),
				'page' => esc_html__( 'Page', 'smooth-blog-pro' ),
				'cat' => esc_html__( 'Category', 'smooth-blog-pro' ),
		 	)
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_slider_exerpt',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_number_range',
		'default' => 50,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_slider_exerpt',
	array(
		'section'		=> 'smooth_blog_pro_slider',
		'label'			=> esc_html__( 'Exerpt Length', 'smooth-blog-pro' ),
	)
);


$wp_customize->add_setting(
	'smooth_blog_pro_slider_btn_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Read More', 'smooth-blog-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_slider_btn_title',
	array(
		'section'		=> 'smooth_blog_pro_slider',
		'label'			=> esc_html__( 'Btn Title:', 'smooth-blog-pro' ),
		
	)
);

$wp_customize->selective_refresh->add_partial( 
	'smooth_blog_pro_slider_btn_title', 
	array(
        'selector'            => '#featured-slider .read-more a',
		'render_callback'     => 'smooth_blog_pro_slider_partial_btn_title',
	) 
);

// slider number setting
$wp_customize->add_setting(
	'smooth_blog_pro_slider_num',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_number_range',
		'default' => 3,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_slider_num',
	array(
		'section'		=> 'smooth_blog_pro_slider',
		'label'			=> esc_html__( 'Number of Posts:', 'smooth-blog-pro' ),
		'description'			=> esc_html__( 'Min: 3 | Max: 12', 'smooth-blog-pro' ),
		'type'			=> 'number',
		'input_attrs'	=> array( 'min' => 3, 'max' => 12 ),
	)
);
$slider_num = get_theme_mod( 'smooth_blog_pro_slider_num', 3 );
for ($i=1; $i <= $slider_num ; $i++) { 
	// slider post setting
	$wp_customize->add_setting(
		'smooth_blog_pro_slider_post_'.$i,
		array(
			'sanitize_callback' => 'smooth_blog_pro_sanitize_dropdown_pages',
		)
	);

	$wp_customize->add_control(
		'smooth_blog_pro_slider_post_'.$i,
		array(
			'section'		=> 'smooth_blog_pro_slider',
			'label'			=> esc_html__( 'Post ', 'smooth-blog-pro' ).$i,
			'active_callback' => 'smooth_blog_pro_if_slider_post',
			'type'			=> 'select',
			'choices'		=> smooth_blog_pro_get_post_choices(),
		)
	);

	// slider page setting
	$wp_customize->add_setting(
		'smooth_blog_pro_slider_page_'.$i,
		array(
			'sanitize_callback' => 'smooth_blog_pro_sanitize_dropdown_pages',
			'default' => 0,
		)
	);

	$wp_customize->add_control(
		'smooth_blog_pro_slider_page_'.$i,
		array(
			'section'		=> 'smooth_blog_pro_slider',
			'label'			=> esc_html__( 'Page ', 'smooth-blog-pro' ).$i,
			'type'			=> 'dropdown-pages',
			'active_callback' => 'smooth_blog_pro_if_slider_page'
		)
	);
}

// slider category setting
$wp_customize->add_setting(
	'smooth_blog_pro_slider_cat',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_slider_cat',
	array(
		'section'		=> 'smooth_blog_pro_slider',
		'label'			=> esc_html__( 'Category:', 'smooth-blog-pro' ),
		'active_callback' => 'smooth_blog_pro_if_slider_cat',
		'type'			=> 'select',
		'choices'		=> smooth_blog_pro_get_post_cat_choices(),
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_slider_hide_content',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_checkbox',
		'default' => true,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_slider_hide_content',
	array(
		'section'		=> 'smooth_blog_pro_slider',
		'label'			=> esc_html__( 'Enable Content', 'smooth-blog-pro' ),
		'type'			=> 'checkbox'
	)
);

// Style 

// overlay enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_slider_overlay',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_checkbox',
		'default' => false,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_slider_overlay',
	array(
		'section'		=> 'smooth_blog_pro_slider',
		'label'			=> esc_html__( 'Enable Overlay', 'smooth-blog-pro' ),
		'type'			=> 'checkbox'
	)
);


$wp_customize->add_setting(	
	'smooth_blog_pro_slider_section_title_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_slider_section_title_color',
		array(
			'section'		=> 'smooth_blog_pro_slider',
			'label'			=> esc_html__( 'Post Title Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_slider_section_title_hover_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_slider_section_title_hover_color',
		array(
			'section'		=> 'smooth_blog_pro_slider',
			'label'			=> esc_html__( 'Post Title Hover Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_slider_section_content_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_slider_section_content_color',
		array(
			'section'		=> 'smooth_blog_pro_slider',
			'label'			=> esc_html__( 'Post Content Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_slider_section_btn_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_slider_section_btn_color',
		array(
			'section'		=> 'smooth_blog_pro_slider',
			'label'			=> esc_html__( 'Btn Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_slider_section_btn_hover_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_slider_section_btn_hover_color',
		array(
			'section'		=> 'smooth_blog_pro_slider',
			'label'			=> esc_html__( 'Btn Hover Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_slider_section_btn_text_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_slider_section_btn_text_color',
		array(
			'section'		=> 'smooth_blog_pro_slider',
			'label'			=> esc_html__( 'Btn Text Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_slider_section_btn_text_hover_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_slider_section_btn_text_hover_color',
		array(
			'section'		=> 'smooth_blog_pro_slider',
			'label'			=> esc_html__( 'Btn Text Hover Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_slider_section_btn_border_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_slider_section_btn_border_color',
		array(
			'section'		=> 'smooth_blog_pro_slider',
			'label'			=> esc_html__( 'Btn  Border Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_slider_section_btn_border_hover_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_slider_section_btn_border_hover_color',
		array(
			'section'		=> 'smooth_blog_pro_slider',
			'label'			=> esc_html__( 'Btn Border Hover Color', 'smooth-blog-pro' ),
		)
	)
);