<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * Subscribe section
 */
$wp_customize->add_section(
	'smooth_blog_pro_suscribe',
	array(
		'title' => esc_html__( 'Subscribe', 'smooth-blog-pro' ),
		'panel' => 'smooth_blog_pro_home_panel',
	)
);

// suscribe enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_suscribe',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'active'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_suscribe',
	array(
		'section'		=> 'smooth_blog_pro_suscribe',
		'label'			=> esc_html__( 'Content type:', 'smooth-blog-pro' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'smooth-blog-pro' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'smooth-blog-pro' ),
				'active' => esc_html__( 'Active', 'smooth-blog-pro' ),
		 	)
	)
);
$wp_customize->add_setting(
	'smooth_blog_pro_suscribe_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Join Our Weekly Free Newsletter', 'smooth-blog-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_suscribe_title',
	array(
		'section'		=> 'smooth_blog_pro_suscribe',
		'label'			=> esc_html__( 'Title:', 'smooth-blog-pro' ),
		'active_callback'	=> 'smooth_blog_pro_if_suscribe_active',
	)
);

$wp_customize->selective_refresh->add_partial( 
	'smooth_blog_pro_suscribe_title', 
	array(
        'selector'            => '#subscribe .section-title',
		'render_callback'     => 'smooth_blog_pro_subscribe_partial_title',
	) 
);

$wp_customize->add_setting(
	'smooth_blog_pro_suscribe_sub_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Subscribe Now!', 'smooth-blog-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_suscribe_sub_title',
	array(
		'section'		=> 'smooth_blog_pro_suscribe',
		'label'			=> esc_html__( 'Sub Title:', 'smooth-blog-pro' ),
		'active_callback'	=> 'smooth_blog_pro_if_suscribe_active',
	)
);

$wp_customize->selective_refresh->add_partial( 
	'smooth_blog_pro_suscribe_sub_title', 
	array(
        'selector'            => '#subscribe .section-subtitle',
		'render_callback'     => 'smooth_blog_pro_subscribe_partial_sub_title',
	) 
);

$wp_customize->add_setting(
	'smooth_blog_pro_suscribe_content',
	array(
		'sanitize_callback' => 'sanitize_textarea_field',
		'default' => esc_html__( 'Life is short. No one wants to fill out a form. Be conversational. Be funny. Gradually engage. Do the unexpected. It is the role of the designer to express their company’s brand to elicit an emotional reaction.</br></br>If done correctly, it will increase completion rates. Just make sure you don’t violate the rules listed above.', 'smooth-blog-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_suscribe_content',
	array(
		'section'		=> 'smooth_blog_pro_suscribe',
		'type'			=> 'textarea',
		'label'			=> esc_html__( 'Content:', 'smooth-blog-pro' ),
		'active_callback'	=> 'smooth_blog_pro_if_suscribe_active',
	)
);

$wp_customize->selective_refresh->add_partial( 
	'smooth_blog_pro_suscribe_content', 
	array(
        'selector'            => '#subscribe-now .section-header p',
		'render_callback'     => 'smooth_blog_pro_subscribe_partial_content',
	) 
);


$wp_customize->add_setting(
	'smooth_blog_pro_suscribe_btn_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Subscribe', 'smooth-blog-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_suscribe_btn_title',
	array(
		'section'		=> 'smooth_blog_pro_suscribe',
		'label'			=> esc_html__( 'Btn Title:', 'smooth-blog-pro' ),
		'active_callback'	=> 'smooth_blog_pro_if_suscribe_active',
	)
);

$wp_customize->add_setting( 'smooth_blog_pro_suscribe_image', array(
	'sanitize_callback' => 'smooth_blog_pro_sanitize_image',
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'smooth_blog_pro_suscribe_image',
		array(
		'label'       		=> esc_html__( 'Background Image', 'smooth-blog-pro' ),
		'description' 		=> sprintf( esc_html__( 'Recommended size: %1$dpx x %2$dpx ', 'smooth-blog-pro' ), 1280, 854 ),
		'section'     		=> 'smooth_blog_pro_suscribe',
		'active_callback'	=> 'smooth_blog_pro_if_suscribe_active',
) ) );