<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * testinomial section
 */
$wp_customize->add_section(
	'smooth_blog_pro_testinomial',
	array(
		'title' => esc_html__( 'Testimonial', 'smooth-blog-pro' ),
		'panel' => 'smooth_blog_pro_home_panel',
	)
);

// testinomial enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_testinomial_setting',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'setting'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_testinomial_setting',
	array(
		'section'		=> 'smooth_blog_pro_testinomial',
		'type'			=> 'radio',
		'choices'		=> array( 
				'setting' => esc_html__( 'Setting', 'smooth-blog-pro' ),
				'style' => esc_html__( 'Style', 'smooth-blog-pro' ),
		 	)
	)
);

// testinomial enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_testinomial',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'recent'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_testinomial',
	array(
		'section'		=> 'smooth_blog_pro_testinomial',
		'label'			=> esc_html__( 'Content type:', 'smooth-blog-pro' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'smooth-blog-pro' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'smooth-blog-pro' ),
				'post' => esc_html__( 'Post', 'smooth-blog-pro' ),
				'page' => esc_html__( 'Page', 'smooth-blog-pro' ),
				'recent' => esc_html__( 'Recent', 'smooth-blog-pro' ),
		 	)
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_testinomial_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Testimonials', 'smooth-blog-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_testinomial_title',
	array(
		'section'		=> 'smooth_blog_pro_testinomial',
		'label'			=> esc_html__(  'Title:', 'smooth-blog-pro' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'smooth_blog_pro_testinomial_title', 
	array(
        'selector'            => '#testimonial .section-subtitle',
		'render_callback'     => 'smooth_blog_pro_testinomial_partial_title',
	) 
);



$wp_customize->add_setting(
	'smooth_blog_pro_testinomial_post_1',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_dropdown_pages',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_testinomial_post_1',
	array(
		'section'		=> 'smooth_blog_pro_testinomial',
		'label'			=> esc_html__( 'Post ', 'smooth-blog-pro' ),
		'active_callback' => 'smooth_blog_pro_if_testinomial_post',
		'type'			=> 'select',
		'choices'		=> smooth_blog_pro_get_post_choices(),
		'active_callback'	=> 'smooth_blog_pro_if_testinomial_post',
	)
);

// testinomial page setting
$wp_customize->add_setting(
	'smooth_blog_pro_testinomial_page_1',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_dropdown_pages',
		'default' => 0,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_testinomial_page_1',
	array(
		'section'		=> 'smooth_blog_pro_testinomial',
		'label'			=> esc_html__( 'Page ', 'smooth-blog-pro' ),
		'type'			=> 'dropdown-pages',
		'active_callback' => 'smooth_blog_pro_if_testinomial_page'
	)
);
$wp_customize->add_setting(
	'smooth_blog_pro_testinomial_name',
	array(
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_testinomial_name',
	array(
		'section'		=> 'smooth_blog_pro_testinomial',
		'label'			=> esc_html__( 'Name :', 'smooth-blog-pro' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'smooth_blog_pro_testinomial_name', 
	array(
        'selector'            => '#testinomial .section-btn_title',
		'render_callback'     => 'smooth_blog_pro_fashion_partial_btn_title',
	) 
);


// Style 

// overlay enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_testinomial_overlay',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_checkbox',
		'default' => false,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_testinomial_overlay',
	array(
		'section'		=> 'smooth_blog_pro_testinomial',
		'label'			=> esc_html__( 'Enable Overlay', 'smooth-blog-pro' ),
		'type'			=> 'checkbox'
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_testinomial_section_title_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_testinomial_section_title_color',
		array(
			'section'		=> 'smooth_blog_pro_testinomial',
			'label'			=> esc_html__( 'Section Title Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_testinomial_section_sub_title_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_testinomial_section_sub_title_color',
		array(
			'section'		=> 'smooth_blog_pro_testinomial',
			'label'			=> esc_html__( 'Section Sub Title Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_testinomial_section_name_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_testinomial_section_name_color',
		array(
			'section'		=> 'smooth_blog_pro_testinomial',
			'label'			=> esc_html__( 'Name Color', 'smooth-blog-pro' ),
		)
	)
);


