<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * testinomials section
 */

$wp_customize->add_section(
	'smooth_blog_pro_testinomials',
	array(
		'title' => esc_html__( 'Testinomials', 'smooth-blog-pro' ),
		'panel' => 'smooth_blog_pro_home_panel',
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_testinomials_setting',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'setting'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_testinomials_setting',
	array(
		'section'		=> 'smooth_blog_pro_testinomials',
		'type'			=> 'radio',
		'choices'		=> array( 
				'setting' => esc_html__( 'Setting', 'smooth-blog-pro' ),
				'style' => esc_html__( 'Style', 'smooth-blog-pro' ),
		 	)
	)
);

// blog enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_testinomials',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'cat'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_testinomials',
	array(
		'section'		=> 'smooth_blog_pro_testinomials',
		'label'			=> esc_html__( 'Content type:', 'smooth-blog-pro' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'smooth-blog-pro' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'smooth-blog-pro' ),
				'post' => esc_html__( 'Post', 'smooth-blog-pro' ),
				'page' => esc_html__( 'Page', 'smooth-blog-pro' ),
				'cat' => esc_html__( 'Category', 'smooth-blog-pro' ),
		 	)
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_testinomials_exerpt',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_number_range',
		'default' => 30,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_testinomials_exerpt',
	array(
		'section'		=> 'smooth_blog_pro_testinomials',
		'label'			=> esc_html__( 'Exerpt Length', 'smooth-blog-pro' ),
	)
);


$wp_customize->add_setting(
	'smooth_blog_pro_testinomials_num',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_number_range',
		'default' => 4,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_testinomials_num',
	array(
		'section'		=> 'smooth_blog_pro_testinomials',
		'label'			=> esc_html__( 'Number of Posts:', 'smooth-blog-pro' ),
		'description'			=> esc_html__( 'Min: 4 | Max: 9', 'smooth-blog-pro' ),
		'type'			=> 'number',
		'input_attrs'	=> array( 'min' => 4, 'max' => 12 ),
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_testinomials_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Testimonials', 'smooth-blog-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_testinomials_title',
	array(
		'section'		=> 'smooth_blog_pro_testinomials',
		'label'			=> esc_html__( 'Title:', 'smooth-blog-pro' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'smooth_blog_pro_testinomials_title', 
	array(
        'selector'            => '#testinomials .section-title',
		'render_callback'     => 'smooth_blog_pro_testinomials_partial_title',
	) 
);



$testinomials_count = get_theme_mod( 'smooth_blog_pro_testinomials_num', 4 );
for ( $i=1; $i <= $testinomials_count ; $i++ ) { 
	// blog post setting
	$wp_customize->add_setting(
		'smooth_blog_pro_testinomials_post_'.$i,
		array(
			'sanitize_callback' => 'smooth_blog_pro_sanitize_dropdown_pages',
		)
	);

	$wp_customize->add_control(
		'smooth_blog_pro_testinomials_post_'.$i,
		array(
			'section'		=> 'smooth_blog_pro_testinomials',
			'label'			=> esc_html__( 'Post ', 'smooth-blog-pro' ).$i,
			'active_callback' => 'smooth_blog_pro_if_testinomials_post',
			'type'			=> 'select',
			'choices'		=> smooth_blog_pro_get_post_choices(),
		)
	);

	// blog page setting
	$wp_customize->add_setting(
		'smooth_blog_pro_testinomials_page_'.$i,
		array(
			'sanitize_callback' => 'smooth_blog_pro_sanitize_dropdown_pages',
			'default' => 0,
		)
	);

	$wp_customize->add_control(
		'smooth_blog_pro_testinomials_page_'.$i,
		array(
			'section'		=> 'smooth_blog_pro_testinomials',
			'label'			=> esc_html__( 'Page ', 'smooth-blog-pro' ).$i,
			'type'			=> 'dropdown-pages',
			'active_callback' => 'smooth_blog_pro_if_testinomials_page'
		)
	);

	$wp_customize->add_setting(
		'smooth_blog_pro_testinomials_position_'.$i,
		array(
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'smooth_blog_pro_testinomials_position_'.$i,
		array(
			'section'		=> 'smooth_blog_pro_testinomials',
			'label'			=> esc_html__( 'Position '.$i, 'smooth-blog-pro' ),
		)
	);

}

// blog category setting
$wp_customize->add_setting(
	'smooth_blog_pro_testinomials_cat',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_testinomials_cat',
	array(
		'section'		=> 'smooth_blog_pro_testinomials',
		'label'			=> esc_html__( 'Category:', 'smooth-blog-pro' ),
		'active_callback' => 'smooth_blog_pro_if_testinomials_cat',
		'type'			=> 'select',
		'choices'		=> smooth_blog_pro_get_post_cat_choices(),
	)
);

// Style 

$wp_customize->add_setting(	
	'smooth_blog_pro_testinomials_section_title_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_testinomials_section_title_color',
		array(
			'section'		=> 'smooth_blog_pro_testinomials',
			'label'			=> esc_html__( 'Section Title Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_testinomials_section_post_container_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_testinomials_section_post_container_color',
		array(
			'section'		=> 'smooth_blog_pro_testinomials',
			'label'			=> esc_html__( 'Section Post Container BG Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_testinomials_section_post_title_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_testinomials_section_post_title_color',
		array(
			'section'		=> 'smooth_blog_pro_testinomials',
			'label'			=> esc_html__( 'Section Post Title Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_testinomials_section_post_hover_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_testinomials_section_post_hover_color',
		array(
			'section'		=> 'smooth_blog_pro_testinomials',
			'label'			=> esc_html__( 'Section Post Title Hover Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_testinomials_section_position_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_testinomials_section_position_color',
		array(
			'section'		=> 'smooth_blog_pro_testinomials',
			'label'			=> esc_html__( 'Position Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_testinomials_section_content_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_testinomials_section_content_color',
		array(
			'section'		=> 'smooth_blog_pro_testinomials',
			'label'			=> esc_html__( 'Content Color', 'smooth-blog-pro' ),
		)
	)
);


// testinomials enable background settings
$wp_customize->add_setting(
	'smooth_blog_pro_testinomials_background',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_testinomials_background',
	array(
		'label'			=> esc_html__( 'Enable Background', 'smooth-blog-pro' ),
		'section'		=> 'smooth_blog_pro_testinomials',
		'type'			=> 'radio',
		'choices'		=> array( 
				'image' => esc_html__( 'Background Image', 'smooth-blog-pro' ),
				'color' => esc_html__( 'Background Color', 'smooth-blog-pro' ),
		 	)
	)
);

$wp_customize->add_setting( 'smooth_blog_pro_testinomials_background_image', array(
	'sanitize_callback' => 'smooth_blog_pro_sanitize_image',
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'smooth_blog_pro_testinomials_background_image',
	array(
	'label'       		=> esc_html__( 'Upload Image', 'smooth-blog-pro' ),
	'section'     		=> 'smooth_blog_pro_testinomials',
	'active_callback'	=> 'smooth_blog_pro_if_testinomials_background_image',
) ) );

$wp_customize->add_setting(	
	'smooth_blog_pro_testinomials_background_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_testinomials_background_color',
		array(
			'section'		=> 'smooth_blog_pro_testinomials',
			'label'			=> esc_html__( 'Select BG Color:', 'smooth-blog-pro' ),
			'active_callback' => 'smooth_blog_pro_if_testinomials_background_color',
		)
	)
);