<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * topbar
 */

$wp_customize->add_section(
	'smooth_blog_pro_topbar',
	array(
		'title' => esc_html__( 'Top bar', 'smooth-blog-pro' ),
		'panel' => 'smooth_blog_pro_home_panel',
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_topbar_setting',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'setting'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_topbar_setting',
	array(
		'section'		=> 'smooth_blog_pro_topbar',
		'type'			=> 'radio',
		'choices'		=> array( 
				'setting' => esc_html__( 'Setting', 'smooth-blog-pro' ),
				'style' => esc_html__( 'Style', 'smooth-blog-pro' ),
		 	)
	)
);

// topbar enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_topbar',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_checkbox',
		'default' => false,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_topbar',
	array(
		'section'		=> 'smooth_blog_pro_topbar',
		'label'			=> esc_html__( 'Enable Topbar', 'smooth-blog-pro' ),
		'type'			=> 'checkbox',
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_topbar_social_menu',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_checkbox',
		'default' => false,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_topbar_social_menu',
	array(
		'section'		=> 'smooth_blog_pro_topbar',
		'label'			=> esc_html__( 'Enable Social Menu', 'smooth-blog-pro' ),
		'type'			=> 'checkbox',
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_topbar_search',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_checkbox',
		'default' => false,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_topbar_search',
	array(
		'section'		=> 'smooth_blog_pro_topbar',
		'label'			=> esc_html__( 'Enable Search From', 'smooth-blog-pro' ),
		'type'			=> 'checkbox',
	)
);


// style
$wp_customize->add_setting(	
	'smooth_blog_pro_topbar_menu_bg_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_topbar_menu_bg_color',
		array(
			'section'		=> 'smooth_blog_pro_topbar',
			'label'			=> esc_html__( 'Menu Background Color', 'smooth-blog-pro' ),

		)
	)
);


$wp_customize->add_setting(	
	'smooth_blog_pro_topbar_item_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_topbar_item_color',
		array(
			'section'		=> 'smooth_blog_pro_topbar',
			'label'			=> esc_html__( 'Topbar Item Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_topbar_item_hover_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_topbar_item_hover_color',
		array(
			'section'		=> 'smooth_blog_pro_topbar',
			'label'			=> esc_html__( 'Topbar Item Hover Color', 'smooth-blog-pro' ),

		)
	)
);