<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * video section
 */

$wp_customize->add_section(
	'smooth_blog_pro_video',
	array(
		'title' => esc_html__( 'Video Posts', 'smooth-blog-pro' ),
		'panel' => 'smooth_blog_pro_home_panel',
	)
);

// video enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_video_setting',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'setting'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_video_setting',
	array(
		'section'		=> 'smooth_blog_pro_video',
		'type'			=> 'radio',
		'choices'		=> array( 
				'setting' => esc_html__( 'Setting', 'smooth-blog-pro' ),
				'style' => esc_html__( 'Style', 'smooth-blog-pro' ),
		 	)
	)
);

// video enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_video',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'cat'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_video',
	array(
		'section'		=> 'smooth_blog_pro_video',
		'label'			=> esc_html__( 'Content type:', 'smooth-blog-pro' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'smooth-blog-pro' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'smooth-blog-pro' ),
				'post' => esc_html__( 'Post', 'smooth-blog-pro' ),
				'page' => esc_html__( 'Page', 'smooth-blog-pro' ),
				'cat' => esc_html__( 'Category', 'smooth-blog-pro' ),
		 	)
	)
);
$wp_customize->add_setting(
	'smooth_blog_pro_video_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'video Posts', 'smooth-blog-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_video_title',
	array(
		'section'		=> 'smooth_blog_pro_video',
		'label'			=> esc_html__( 'Title:', 'smooth-blog-pro' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'smooth_blog_pro_video_title', 
	array(
        'selector'            => '#video .section-subtitle',
		'render_callback'     => 'smooth_blog_pro_video_partial_title',
	) 
);

$video_num = 5 ;
for ($i=1; $i <= $video_num ; $i++) { 
	// video post setting
	$wp_customize->add_setting(
		'smooth_blog_pro_video_post_'.$i,
		array(
			'sanitize_callback' => 'smooth_blog_pro_sanitize_dropdown_pages',
		)
	);

	$wp_customize->add_control(
		'smooth_blog_pro_video_post_'.$i,
		array(
			'section'		=> 'smooth_blog_pro_video',
			'label'			=> esc_html__( 'Post ', 'smooth-blog-pro' ).$i,
			'active_callback' => 'smooth_blog_pro_if_video_post',
			'type'			=> 'select',
			'choices'		=> smooth_blog_pro_get_post_choices(),
		)
	);

	// video page setting
	$wp_customize->add_setting(
		'smooth_blog_pro_video_page_'.$i,
		array(
			'sanitize_callback' => 'smooth_blog_pro_sanitize_dropdown_pages',
			'default' => 0,
		)
	);

	$wp_customize->add_control(
		'smooth_blog_pro_video_page_'.$i,
		array(
			'section'		=> 'smooth_blog_pro_video',
			'label'			=> esc_html__( 'Page ', 'smooth-blog-pro' ).$i,
			'type'			=> 'dropdown-pages',
			'active_callback' => 'smooth_blog_pro_if_video_page'
		)
	);
}

// video category setting
$wp_customize->add_setting(
	'smooth_blog_pro_video_cat',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_video_cat',
	array(
		'section'		=> 'smooth_blog_pro_video',
		'label'			=> esc_html__( 'Category:', 'smooth-blog-pro' ),
		'active_callback' => 'smooth_blog_pro_if_video_cat',
		'type'			=> 'select',
		'choices'		=> smooth_blog_pro_get_post_cat_choices(),
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_video_url',
	array(
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_video_url',
	array(
		'section'		=> 'smooth_blog_pro_video',
		'label'			=> esc_html__( 'Video Url:', 'smooth-blog-pro' ),
	)
);


// Style 

// overlay enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_video_overlay',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_checkbox',
		'default' => false,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_video_overlay',
	array(
		'section'		=> 'smooth_blog_pro_video',
		'label'			=> esc_html__( 'Enable Overlay', 'smooth-blog-pro' ),
		'type'			=> 'checkbox',
	)
);


$wp_customize->add_setting(	
	'smooth_blog_pro_video_section_sub_title_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_video_section_sub_title_color',
		array(
			'section'		=> 'smooth_blog_pro_video',
			'label'			=> esc_html__( 'Section Title Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_video_section_post_title_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_video_section_post_title_color',
		array(
			'section'		=> 'smooth_blog_pro_video',
			'label'			=> esc_html__( 'Section Post Title Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_video_section_hover_post_title_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_video_section_hover_post_title_color',
		array(
			'section'		=> 'smooth_blog_pro_video',
			'label'			=> esc_html__( 'Section Post Title Hover Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_video_section_post_date_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_video_section_post_date_color',
		array(
			'section'		=> 'smooth_blog_pro_video',
			'label'			=> esc_html__( 'Section Post Date Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_video_section_hover_post_date_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_video_section_hover_post_date_color',
		array(
			'section'		=> 'smooth_blog_pro_video',
			'label'			=> esc_html__( 'Section Post Date Hover Color', 'smooth-blog-pro' ),

		)
	)
);


// video enable background settings
$wp_customize->add_setting(
	'smooth_blog_pro_video_background',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_video_background',
	array(
		'label'			=> esc_html__( 'Enable Background', 'smooth-blog-pro' ),
		'section'		=> 'smooth_blog_pro_video',
		'type'			=> 'radio',
		'choices'		=> array( 
				'image' => esc_html__( 'Background Image', 'smooth-blog-pro' ),
				'color' => esc_html__( 'Background Color', 'smooth-blog-pro' ),
		 	),
	)
);

$wp_customize->add_setting( 'smooth_blog_pro_video_background_image', array(
	'sanitize_callback' => 'smooth_blog_pro_sanitize_image',
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'smooth_blog_pro_video_background_image',
	array(
	'label'       		=> esc_html__( 'Upload Image', 'smooth-blog-pro' ),
	'section'     		=> 'smooth_blog_pro_video',
	'active_callback'	=> 'smooth_blog_pro_if_video_background_image',
) ) );

$wp_customize->add_setting(	
	'smooth_blog_pro_video_background_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_video_background_color',
		array(
			'section'		=> 'smooth_blog_pro_video',
			'label'			=> esc_html__( 'Select BG Color:', 'smooth-blog-pro' ),
			'active_callback' => 'smooth_blog_pro_if_video_background_color',
		)
	)
);