<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */

// Get the content type.
$featured       = get_theme_mod( 'smooth_blog_pro_featured', 'cat' );
$featured_num	= get_theme_mod( 'smooth_blog_pro_featured_num', 4 ) ;

// Bail if the section is disabled.
if ( 'disable' === $featured ) {
	return;
}

$content_details = smooth_blog_pro_get_section_content( 'featured', $featured, $featured_num );

?>
<div id="featured-posts" class="page-section same-background featured-posts" >
    <?php if ( get_theme_mod( 'smooth_blog_pro_featured_overlay' ) == true ): ?>
        <div class="overlay"></div>
    <?php endif ?>
    <div class="wrapper">
        <?php if ( !empty( get_theme_mod( 'smooth_blog_pro_featured_title', __( 'featured Posts', 'smooth-blog-pro' ) ) ) ): ?>
            <div class="section-header">
                <p class="section-subtitle"><?php echo esc_html( get_theme_mod( 'smooth_blog_pro_featured_title', __( 'featured Posts', 'smooth-blog-pro' ) ) ) ; ?></p>
            </div>
        <?php endif ?>
        
        <?php 
            $column = esc_attr( get_theme_mod( 'smooth_blog_pro_featured_col_layout', 'col-3' ) )
        ?>

        <div class="featured-post-wrapper <?php echo $column ; ?>  clear"> 
            <?php foreach ($content_details as $content): ?>
                <article class="has-post-thumbnail">
                    <div class="featured-image" style="background-image: url(<?php echo esc_url( get_the_post_thumbnail_url( $content['id'], 'post-thumbnail' ) ) ; ?>);">
                        <a href="<?php echo esc_url( $content['url'] ) ; ?>" class="post-thumbnail-link"></a>
                    </div><!-- .featured-image -->

                    <div class="entry-container">
                        <span class="cat-links">
                            <?php the_category( '', '', $content['id'] ); ?>
                        </span><!-- .cat-links -->

                        <header class="entry-header">
                            <h2 class="entry-title">
                                <a href="<?php echo esc_url( $content['url'] ) ; ?>"><?php echo esc_html( $content['title'] ) ; ?></a>
                            </h2>
                        </header>

                        <div class="entry-meta">
                            <?php smooth_blog_pro_posted_on( $content['id'] ) ; ?>
                        </div><!-- .entry-meta -->
                    </div><!-- .entry-container -->
                </article>
            <?php endforeach ?>
        </div><!-- .col-4 -->

         <?php if ( !empty( get_theme_mod( 'smooth_blog_pro_featured_btn_url' ) ) ): ?>
            <div class="read-more">
                <a href="<?php echo esc_url( get_theme_mod( 'smooth_blog_pro_featured_btn_url' ) ); ?>" class="btn">
                    <?php echo esc_html( get_theme_mod( 'smooth_blog_pro_featured_btn_title', __( 'View All Featured Post', 'smooth-blog-pro' ) ) ); ?>
                </a>
            </div>
        <?php endif ?>        

    </div><!-- .wrapper -->
</div><!-- .featured-posts -->

