<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */


// Get the content type.
$related = get_theme_mod( 'smooth_blog_pro_related', 'cat' );
$related_count = get_theme_mod( 'smooth_blog_pro_related_num', 3 );

// Bail if the section is disabled.
if ( 'disable' === $related ) {
    return;
}

$content_detail = smooth_blog_pro_get_section_content( 'related', $related, $related_count );

?>
<div id="related-posts" class="page-section same-background related-posts" >
    <?php if ( get_theme_mod( 'smooth_blog_pro_related_overlay' ) == true ): ?>
        <div class="overlay"></div>
    <?php endif ?>
    <div class="wrapper">
        <div class="section-header">
            <p class="section-subtitle"><?php echo esc_html( get_theme_mod( 'smooth_blog_pro_related_sub_title' ) ) ?></p>
            <h2 class="section-title"><?php echo esc_html( get_theme_mod( 'smooth_blog_pro_related_title' ) ) ?></h2>
        </div>
        <?php 
            $column = esc_attr( get_theme_mod( 'smooth_blog_pro_related_col_layout', 'col-3' ) );
        ?>
        <div class="featured-post-wrapper <?php echo $column ; ?> clear"> 
            <?php foreach ($content_detail as $content): ?>
                <article class="has-post-thumbnail">
                    <div class="featured-image" style="background-image: url('<?php echo esc_url( get_the_post_thumbnail_url( $content['id'] ) ) ; ?>');">
                        <a href="<?php echo esc_url( $content['url'] ) ; ?>" class="post-thumbnail-link"></a>
                    </div><!-- .featured-image -->

                    <div class="entry-container">
                        <?php the_category( '', '', $content['id'] ); ?>

                        <header class="entry-header">
                            <h2 class="entry-title"><a href="<?php echo esc_url( $content['url'] ) ; ?>"><?php echo esc_html( $content['title'] ) ; ?></a></h2>
                        </header>

                        <div class="entry-meta">
                            <?php smooth_blog_pro_posted_on( $content['id'] ) ; ?>
                        </div><!-- .entry-meta -->
                    </div><!-- .entry-container -->
                </article>
            <?php endforeach ?>
        </div><!-- .col-3 -->
        <?php if ( !empty( get_theme_mod( 'smooth_blog_pro_related_btn_url' ) ) ): ?>
            <div class="read-more">
                <a href="<?php echo esc_url( get_theme_mod( 'smooth_blog_pro_related_btn_url' ) ); ?>" class="btn">
                    <?php echo esc_html( get_theme_mod( 'smooth_blog_pro_related_btn_title' ) ); ?>
                </a>
            </div>
        <?php endif ?>        
    </div><!-- .wrapper -->
</div><!-- .related-posts -->