<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */


// Get the content type.
$reserve = get_theme_mod( 'smooth_blog_pro_reserve', 'recent' );

// Bail if the section is disabled.
if ( 'disable' === $reserve ) {
    return;
}

$content_detail = smooth_blog_pro_get_section_content( 'reserve', $reserve, 1 );

?>
<div id="reserve" class="page-section same-background">
    <?php if ( get_theme_mod( 'smooth_blog_pro_reserve_overlay' ) == true ): ?>
        <div class="overlay"></div>
    <?php endif ?>  
    <div class="wrapper">
        <?php foreach ($content_detail as $content): ?>
            <article class="has-post-thumbnail">
                <div class="featured-image" style="background-image: url('<?php echo esc_url( get_the_post_thumbnail_url( $content['id'] ) ) ?>');">
                    <a href="<?php echo esc_url( $content['url'] ) ?>" class="post-thumbnail-link"></a>
                </div><!-- .featured-image -->

                <div class="entry-container">
                    <div class="section-header">
                        <p class="section-subtitle"><?php echo esc_html( get_theme_mod( 'smooth_blog_pro_reserve_title' ) ) ?></p>
                        <h2 class="section-title"><?php echo esc_html( $content['title'] ); ?></h2>
                    </div><!-- .section-header -->
                    <div class="entry-content">
                        <p><?php echo esc_html( wp_trim_words( $content['content'], get_theme_mod( 'smooth_blog_pro_reserve_exerpt', 50 ) )  ) ; ?></p>
                    </div><!-- .entry-content -->

                    <?php if ( !empty( get_theme_mod( 'smooth_blog_pro_reserve_btn_title' ) ) ): ?>
                        <div class="read-more">
                            <a href="<?php echo esc_url( $content['url'] ) ?>" class="btn">
                                <?php echo esc_html( get_theme_mod( 'smooth_blog_pro_reserve_btn_title' ) ); ?>
                            </a>
                        </div>
                    <?php endif ?>
                </div><!-- .entry-container -->
            </article>
        <?php endforeach ?>
        
    </div><!-- .wrapper -->
</div>