<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */

// Get the content type.
$testinomials       = get_theme_mod( 'smooth_blog_pro_testinomials', 'cat' );
$testinomials_num   = get_theme_mod( 'smooth_blog_pro_testinomials_num', 4 ) ;

// Bail if the section is disabled.
if ( 'disable' === $testinomials ) {
    return;
}

$content_details = smooth_blog_pro_get_section_content( 'testinomials', $testinomials, $testinomials_num );

?>
<div id="testimonials" class="relative page-section">
    <div class="wrapper">
        <div class="section-header">
            <h2 class="section-title"><?php echo esc_html( get_theme_mod( 'smooth_blog_pro_testinomials_title', __( 'Testimonials', 'smooth-blog-pro' ) ) ) ; ?></h2>
        </div><!-- .section-header -->

        <div class="testimonial-slider" data-slick='{"slidesToShow": 2, "slidesToScroll": 1, "infinite": false, "speed": 1500, "dots": true, "arrows":false, "autoplay": false, "draggable": true, "fade": false }'>
            <?php $i=1; foreach ($content_details as $content): ?>
                <article>
                    <div class="testimonial-item-wrapper">
                        <div class="featured-image">
                            <a href="<?php echo esc_url( $content['url'] ) ; ?>"><img src="<?php echo esc_url( get_the_post_thumbnail_url( $content['id'], 'post-thumbnail' ) ); ?>" alt=""></a>
                        </div><!-- .featured-image -->

                        <header class="entry-header">
                            <h2 class="entry-title"><a href="<?php echo esc_url( $content['url'] ) ; ?>"><?php echo esc_html( $content['title'] ) ; ?></a></h2>
                            <p class="position"><?php echo esc_html( get_theme_mod( 'smooth_blog_pro_testinomials_position_'.$i ) ) ?></p>
                        </header>

                        <div class="entry-content">
                            <p><?php echo esc_html( wp_trim_words( $content['content'], get_theme_mod( 'smooth_blog_pro_testinomials_exerpt', 30 ) )  ) ; ?></p>
                        </div><!-- .entry-content -->
                    </div><!-- .testimonial-item-wrapper -->
                </article>
            <?php $i++; endforeach ?>            
        </div>
    </div><!-- .wrapper -->
</div><!-- #testimonials -->
