<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */


// Get the content type.
$trending = get_theme_mod( 'smooth_blog_pro_trending', 'cat' );
$trending_count = get_theme_mod( 'smooth_blog_pro_trending_num', 3 );

// Bail if the section is disabled.
if ( 'disable' === $trending ) {
    return;
}

$content_detail = smooth_blog_pro_get_section_content( 'trending', $trending, $trending_count );

?>
<section id="trending-posts" class="relative">
    <div class="wrapper">
        <div class="section-content clear">
            <?php foreach ($content_detail as $content): ?>
                <article>
                    <div class="featured-image" style="background-image: url('<?php echo esc_url( get_the_post_thumbnail_url( $content['id'] ) ) ?>');">
                        <div class="entry-container">
                            <div class="entry-meta">
                                <span class="cat-links">
                                    <?php
                                        $i = 0;  
                                        $category = get_the_category( $content['id'] );
                                        foreach ( $category as $cat ) {
                                    ?> 
                                       <a href="<?php echo esc_url( get_category_link( $cat->term_id ) ) ; ?>" rel="category tag"><?php echo $cat->name ; ?></a>
                                    <?php $i++; } ?>
                                </span>         
                            </div><!-- .entry-meta -->

                            <header class="entry-header">
                                <h2 class="entry-title"><a href="<?php echo esc_url( $content['url'] ) ?>"><?php echo esc_html( $content['title'] ) ; ?></a></h2>
                            </header>

                            <div class="entry-meta author-posted-on">
                                <?php smooth_blog_pro_post_author(); ?>

                                <?php smooth_blog_pro_posted_on( $content['id'] ) ; ?>                    
                            </div><!-- .entry-meta -->
                        </div>
                    </div><!-- .featured-image -->
                </article>
            <?php endforeach ?>
        </div><!-- .section-content -->
    </div><!-- .wrapper -->
</section>