<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */

// Get the content type.
$video = get_theme_mod( 'smooth_blog_pro_video', 'cat' );

// Bail if the section is disabled.
if ( 'disable' === $video ) {
    return;
}
$content_details = smooth_blog_pro_get_section_content( 'video', $video, 5 );

?>
<div id="video" class="page-section video" >
    <?php if ( get_theme_mod( 'smooth_blog_pro_video_overlay' ) == true ): ?>
        <div class="overlay"></div>
    <?php endif ?>
    <div class="wrapper">
        <div class="section-header">
            <p class="section-subtitle"><?php echo esc_html( get_theme_mod( 'smooth_blog_pro_video_title', __( 'Videos of The Week', 'smooth-blog-pro' ) ) )  ?></p>
        </div><!-- .section-header -->

        <div class="section-content">

           <article class="hentry">
               <div class="widget widget_recent_news col-2 clear">
                    <ul>
                        <?php $i = 1 ; foreach ($content_details as $content): ?>
                            <li>
                                <a href="#"><img src="<?php echo esc_url( get_the_post_thumbnail_url( $content['id'] ) ) ; ?>" alt="video-01">
                                </a>
                                <div class="entry-container">
                                    <div class="entry-meta">
                                        <?php smooth_blog_pro_posted_on( $content['id'] ) ; ?>
                                    </div>

                                    <header class="entry-header">
                                        <h2 class="entry-title"><a href="<?php echo esc_url( $content['url'] ) ?>"><?php echo esc_html( $content['title'] ) ?></a></h2>
                                    </header>
                                </div><!-- .entry-container -->
                            </li>
                        <?php $i++; if($i == 5)break; endforeach ?>
                        
                    </ul>
                </div>
           </article><!-- .hentry -->

           <?php if ( 5 == count( $content_details ) ): ?>
               <article class="hentry">
                    <div class="video-wrapper">
                        <div class="featured-image" style="background-image: url('<?php echo esc_url( get_the_post_thumbnail_url( $content_details[4]['id'] ) ) ; ?>');">
                            <div class="overlay"></div>
                            <?php if ( !empty( get_theme_mod( 'smooth_blog_pro_video_url' ) ) ): ?>
                                <div class="video-button">
                                    <a href="<?php echo esc_url( get_theme_mod( 'smooth_blog_pro_video_url' ) ); ?>" class="popup-youtube">
                                        <svg class="svg-inline--fa fa-play fa-w-14" viewBox="0 0 448 512"><path d="M424.4 214.7L72.4 6.6C43.8-10.3 0 6.1 0 47.9V464c0 37.5 40.7 60.1 72.4 41.3l352-208c31.4-18.5 31.5-64.1 0-82.6z"></path></svg>
                                    </a>
                                </div>    
                            <?php endif ?>
                            
                        </div>
                   

                        <div class="entry-container">
                           <?php the_category( '', '', $content_details[4]['id'] ); ?>

                            <header class="entry-header">
                                <h2 class="entry-title"><a href="<?php echo esc_url( $content_details['url'] ) ?>"><?php echo esc_html( $content_details[4]['title'] ) ?></a></h2>
                            </header>

                            <div class="entry-meta">
                                <?php smooth_blog_pro_posted_on( $content_details[4]['id'] ) ; ?>
                            </div><!-- .entry-meta -->
                        </div><!-- .entry-container -->
                    </div><!-- .video-wrapper -->
                </article>
           <?php endif ?>
            
        </div><!-- .section-content -->
    </div><!-- .wrapper -->
</div><!-- #video -->

